import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface AccordionProps extends BaseProps<'div'> {
    horizontalBorders?: 'none' | 'top' | 'bottom';
    /**
     * summaryColor is optional.
     * 'primary' color gives AccordionSectionSummary the default color.
     * 'secondary' color gives AccordionSectionSummary a gray background.
     * @value primary
     * @value secondary
     * @default primary
     * */
    summaryColor?: 'primary' | 'secondary';
    /**
     * dense is optional.
     * If true, AccordionSection will have a smaller padding.
     * @value true
     * @value false
     * @default false
     * */
    dense?: boolean;
}
/**
 * Accordion is the main component for an accordion.
 * Inside this component must be a list of AccordionSection components.
 */
export declare const Accordion: React.ForwardRefExoticComponent<Omit<AccordionProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default Accordion;
