import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Accordion = React.forwardRef(
  function Accordion2({
    className,
    horizontalBorders = "top",
    summaryColor = "primary",
    dense,
    children,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        ref,
        className: clsx(className, {
          "ds-accordion": true,
          "ds-accordion--no-border": horizontalBorders === "none",
          "ds-accordion--border-top": horizontalBorders === "top",
          "ds-accordion--border-bottom": horizontalBorders === "bottom",
          "ds-accordion--dense": dense,
          "ds-accordion--secondary": summaryColor === "secondary"
        }),
        ...props
      },
      children
    );
  }
);
var Accordion_default = Accordion;
export {
  Accordion,
  Accordion_default as default
};
//# sourceMappingURL=index.js.map
