import React from 'react';
import { ContainerProps } from '@digigov/react-core/Container';
export interface AdminContainerProps extends Omit<ContainerProps, 'grid'> {
    /**
     * grid is optional. Set to false if you don't need grid layout.
     * @value true
     * @value false
     * @default true
     */
    grid?: boolean;
}
/**
 * AdminContainer is a wrapper for the content of the page
 * Use AdminContainer inside AdminLayout component
 */
export declare const AdminContainer: React.ForwardRefExoticComponent<Omit<AdminContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default AdminContainer;
