import React from 'react';
import { GridProps } from '@digigov/react-core/Grid';
export interface AdminTopSectionProps extends GridProps {
    /**
     * color is optional.
     * 'primary' color gives AdminTopSection the default color.
     * @value primary
     * @value secondary
     * @default primary
     * */
    color?: 'primary' | 'secondary';
    /**
     * border is optional.
     * border prop adds border to AdminTopSection.
     * @value true
     * @value false
     */
    border?: boolean;
}
/**
 * Use  AdminTopSection component inside AdminContainer component to seperate content in
 * 1 to 12 individual equal spaces
 */
export declare const AdminTopSection: React.ForwardRefExoticComponent<Omit<AdminTopSectionProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default AdminTopSection;
