import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface AutoCompleteContainerProps extends BaseProps<'div'> {
    /**
     * width is optional.
     * Use width prop to define a custom width in your component.
     * @value '25%';
     * @value '33.3%';
     * @value '50%';
     * @value '66.6%';
     * @value '75%';
     * @value '100%';
     * @value 'full';
     */
    width?: '25%' | '33.3%' | '50%' | '66.6%' | '75%' | '100%' | 'full';
}
/**
 * AutoCompleteContainer is a wrapper for autocomplete element.
 * Use AutoCompleteContainer to wrap autocomplete elements.
 */
export declare const AutoCompleteContainer: React.ForwardRefExoticComponent<Omit<AutoCompleteContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default AutoCompleteContainer;
