import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface AutoCompleteInputBaseProps extends BaseProps<'input'> {
    /**
     * isFocused is optional. The default value is false.
     * isFocused prop is used to focus the list element.
     * @value true
     * @value false
     */
    isFocused?: boolean;
}
/**
 * AutoCompleteInputBase component is used to display the value that the user is typing.
 *
 */
export declare const AutoCompleteInputBase: React.ForwardRefExoticComponent<Omit<AutoCompleteInputBaseProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export default AutoCompleteInputBase;
