import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface AutoCompleteResultListProps extends BaseProps<'ul'> {
    /**
     * isVisible is optional.
     * Use isVisible prop to make menu visible
     * default value is false.
     *
     * @value true
     * @value false
     * @default false
     */
    isVisible?: boolean;
}
/**
 * AutoCompleteResultList component is used for listing items.
 * This component must contain AutoCompleteResultListItem component.
 */
export declare const AutoCompleteResultList: React.ForwardRefExoticComponent<Omit<AutoCompleteResultListProps, "ref"> & React.RefAttributes<HTMLUListElement>>;
export default AutoCompleteResultList;
