import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface AutoCompleteResultListItemProps extends BaseProps<'li'> {
    /**
    * index is optional.
    * Use index prop to add or not option-odd css class.
    *
    *
  
    */
    index?: number;
    /**
     * isFocused is optional.
     * Use isFocused prop to focus selected element.
     *
     *
     * @value undefined
     * @value undefined
     */
    isFocused?: boolean | null;
    /**
     * isHovered is optional.
     * Use isHovered prop to hover over elements.
     *
     *
     * @value undefined
     * @value undefined
     */
    isHovered?: boolean | null;
    /**
     * empty is optional.
     * Use empty prop when there are no results in AutoComplete.
     * by default is false.
     *
     * @value true
     * @value false
     * @default false
     */
    empty?: boolean;
}
/**
 * AutoCompleteResultListItem must be inside AutoCompleteResultList compoenent.
 * Use AutoCompleteResultListItem component to list all the values.
 *
 * */
export declare const AutoCompleteResultListItem: React.ForwardRefExoticComponent<Omit<AutoCompleteResultListItemProps, "ref"> & React.RefAttributes<HTMLLIElement>>;
export default AutoCompleteResultListItem;
