import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import { CaretIcon } from "@digigov/react-icons";
const BackLink = React.forwardRef(
  function BackLink2({ href, printHidden = true, className, children, ...props }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "a",
        printHidden,
        href,
        onClick: () => !href && window.history.back(),
        ref,
        className: clsx(className, {
          "ds-back-link": true
        }),
        tabIndex: 0,
        ...props
      },
      /* @__PURE__ */ React.createElement(CaretIcon, { direction: "left" }),
      children
    );
  }
);
var BackLink_default = BackLink;
export {
  BackLink,
  BackLink_default as default
};
//# sourceMappingURL=index.js.map
