import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface BackToTopContainerProps extends BaseProps<'div'> {
    /**
     * persistent is optional.
     * If true, the BackToTopLink will be visible even the user scrolls down.
     * @value true
     * @value false
     * @default false
     */
    persistent?: boolean;
}
/**
 * BackToTopContainer is a container for the BackToTopLink component and controls its visibility.
 */
export declare const BackToTopContainer: React.ForwardRefExoticComponent<Omit<BackToTopContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default BackToTopContainer;
