import React from "react";
import { TouchableOpacity, View } from "react-native";
const CheckboxInput = React.forwardRef(function CheckboxInput2({ checked, value, onChange, ...props }, ref) {
  const handlePress = () => {
    if (onChange) {
      const syntheticEvent = {
        currentTarget: {
          value,
          checked: !checked
        }
      };
      onChange(syntheticEvent);
    }
  };
  return (
    // @ts-ignore
    /* @__PURE__ */ React.createElement(
      TouchableOpacity,
      {
        ref,
        onPress: handlePress,
        ...props
      },
      checked && /* @__PURE__ */ React.createElement(View, { className: "ds-checkboxes__input--checked" })
    )
  );
});
var CheckboxInput_native_default = CheckboxInput;
export {
  CheckboxInput,
  CheckboxInput_native_default as default
};
//# sourceMappingURL=CheckboxInput.native.js.map
