import React from "react";
import { TouchableOpacity, View } from "react-native";
const RadioInput = React.forwardRef(
  function RadioInput2({ value, checked, onChange, ...props }, ref) {
    const handlePress = () => {
      if (onChange) {
        const syntheticEvent = {
          target: {
            value,
            checked: true
          }
        };
        onChange(syntheticEvent);
      }
    };
    return /* @__PURE__ */ React.createElement(
      TouchableOpacity,
      {
        ref,
        onPress: handlePress,
        ...props
      },
      checked && /* @__PURE__ */ React.createElement(View, { className: "ds-radios__input--checked" })
    );
  }
);
var RadioInput_native_default = RadioInput;
export {
  RadioInput,
  RadioInput_native_default as default
};
//# sourceMappingURL=RadioInput.native.js.map
