import React, {
  useContext
} from "react";
import { Pressable } from "react-native";
import { FormContext } from "@digigov/form/FormContext";
const FormButton = React.forwardRef(
  function FormButton2({ onClick, ...props }, ref) {
    const formContext = useContext(FormContext);
    return /* @__PURE__ */ React.createElement(
      CompatButton,
      {
        ref,
        ...props,
        onClick: () => {
          if (onClick) onClick({});
          if (props.type) formContext?.[props.type]();
        }
      }
    );
  }
);
const CompatButton = React.forwardRef(
  function CompatButton2({ onClick, ...props }, ref) {
    return /* @__PURE__ */ React.createElement(
      Pressable,
      {
        onPress: onClick,
        ref,
        hitSlop: 10,
        ...props
      }
    );
  }
);
const Button = React.forwardRef(
  function Button2(props, ref) {
    if (props.type && ["submit", "reset"].includes(props.type)) {
      return /* @__PURE__ */ React.createElement(FormButton, { ref, ...props });
    }
    return /* @__PURE__ */ React.createElement(CompatButton, { ref, ...props });
  }
);
export {
  Button,
  CompatButton,
  FormButton
};
//# sourceMappingURL=button.native.js.map
