import React, {
  useEffect,
  useState,
  Children
} from "react";
import { View, Text, TouchableOpacity, StyleSheet } from "react-native";
const CompatDetails = ({
  children,
  open = false,
  placement,
  closeIcon,
  openIcon,
  ...props
}) => {
  const [isExpanded, setIsExpanded] = useState(open);
  useEffect(() => {
    setIsExpanded(open);
  }, [open]);
  const toggleExpand = () => {
    setIsExpanded(!isExpanded);
  };
  const [summaryContent, ...detailsContent] = Children.toArray(children);
  const toggleIcon = closeIcon && openIcon ? /* @__PURE__ */ React.createElement(Text, null, isExpanded ? openIcon : closeIcon) : null;
  return (
    // TODO: Fix `props` type
    // @ts-expect-error - `props` type is not compatible with `View` props
    /* @__PURE__ */ React.createElement(View, { ...props }, /* @__PURE__ */ React.createElement(TouchableOpacity, { onPress: toggleExpand, style: styles.summaryContainer }, placement === "before" && toggleIcon, summaryContent, placement === "after" && toggleIcon), isExpanded && /* @__PURE__ */ React.createElement(View, null, detailsContent))
  );
};
const styles = StyleSheet.create({
  summaryContainer: {
    flexDirection: "row",
    alignItems: "center"
  }
});
var details_native_default = CompatDetails;
export {
  details_native_default as default
};
//# sourceMappingURL=details.native.js.map
