import React from "react";
import { View, Text } from "react-native";
const Ol = ({ children, className, ...props }) => {
  let listStyle = "none";
  if (className.includes("ds-list--bullet")) {
    listStyle = "bullet";
  }
  if (className.includes("ds-list--number")) {
    listStyle = "number";
  }
  return /* @__PURE__ */ React.createElement(View, { ...props, className }, Array.isArray(children) ? children.map((child, index) => {
    const counter = listStyle === "number" ? index + 1 : listStyle === "bullet" ? "\u2022" : null;
    return /* @__PURE__ */ React.createElement(
      View,
      {
        key: index,
        style: {
          display: "flex",
          flexDirection: "row",
          flexWrap: "nowrap",
          gap: 8,
          width: "100%"
        }
      },
      /* @__PURE__ */ React.createElement(Text, null, counter),
      child
    );
  }) : children);
};
export {
  Ol
};
//# sourceMappingURL=ol.native.js.map
