import React from "react";
import { Link } from "expo-router";
import { cssInterop } from "nativewind";
import { Image, View } from "react-native";
import Svg, { Path, Circle, Rect, G, Polygon } from "react-native-svg";
import { Button } from "@digigov/react-core/Base/compat/button.native";
import CompatDetails from "@digigov/react-core/Base/compat/details.native";
import BaseInput from "@digigov/react-core/Base/compat/Input/index.native";
import { Ol } from "@digigov/react-core/Base/compat/ol.native";
const mapping = {
  a: ({ children, ...props }) => /* @__PURE__ */ React.createElement(Link, { ...props, asChild: true }, /* @__PURE__ */ React.createElement(View, null, children)),
  img: (props) => /* @__PURE__ */ React.createElement(Image, { ...props }),
  button: Button,
  input: BaseInput,
  textarea: BaseInput,
  details: CompatDetails,
  ol: Ol,
  path: (props) => /* @__PURE__ */ React.createElement(Path, { ...props }),
  // @ts-ignore
  svg: cssInterop(Svg, {
    className: {
      target: "style",
      nativeStyleToProp: { width: true, height: true }
    }
  }),
  rect: (props) => /* @__PURE__ */ React.createElement(Rect, { ...props }),
  circle: (props) => /* @__PURE__ */ React.createElement(Circle, { ...props }),
  g: (props) => /* @__PURE__ */ React.createElement(G, { ...props }),
  polygon: (props) => /* @__PURE__ */ React.createElement(Polygon, { ...props })
};
export {
  mapping
};
//# sourceMappingURL=mapping.native.js.map
