import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface BlockquoteProps extends BaseProps<'blockquote'> {
    /**
     * dense is optional.
     * @value true Blockquote will be dense.
     * @value false
     * @default false
     * */
    dense?: boolean;
}
/**
 * Use Blockquote to differentiate a block of text from the content that surrounds it.
 */
export declare const Blockquote: React.ForwardRefExoticComponent<Omit<BlockquoteProps, "ref"> & React.RefAttributes<HTMLElement>>;
export default Blockquote;
