import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface BreadcrumbsProps extends BaseProps<'div'> {
}
/**
 * Use Breadcrumbs component when you need to help users understand and move between the multiple levels of a website.
 * The breadcrumb should start with your ‘home’ page and end with the parent section of the current page.
 */
export declare const Breadcrumbs: React.ForwardRefExoticComponent<Omit<BreadcrumbsProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default Breadcrumbs;
