import React from 'react';
import { LinkBaseProps } from '@digigov/react-core/LinkBase';
export interface BreadcrumbsListItemLinkProps extends LinkBaseProps {
}
/**
 * BreadcrumbsListItemLink creates an anchor link to navigate in different
 * parts of the breadcrumbs.
 * It should be used inside BreadcrumbsListItem as children component. This is
 * the default link component for the BreadcrumbsListItem and it uses the LinkBase
 * component from `@digigov/react-core`. In case you need to use a different Link
 * component from a framework or a custom router, use `@digigov/ui/navigation/BreadcrumbsListItemLink` instead.
 */
export declare const BreadcrumbsListItemLink: React.ForwardRefExoticComponent<Omit<BreadcrumbsListItemLinkProps, "ref"> & React.RefAttributes<HTMLAnchorElement>>;
export default BreadcrumbsListItemLink;
