import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Button = React.forwardRef(
  function Button2({
    color = "primary",
    variant = "button",
    dense,
    disabled,
    printHidden = true,
    className,
    children,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "button",
        disabled,
        printHidden,
        ref,
        className: clsx(className, {
          "ds-link": variant === "link",
          "ds-btn": variant === "button",
          "ds-btn--dense": dense,
          "ds-btn-primary": variant === "button" && color === "primary",
          "ds-btn-secondary": variant === "button" && color === "secondary",
          "ds-btn-warning": variant === "button" && color === "warning",
          "ds-btn--disabled": variant === "button" && disabled
        }),
        ...props
      },
      children
    );
  }
);
var Button_default = Button;
export {
  Button,
  Button_default as default
};
//# sourceMappingURL=index.js.map
