import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Card = React.forwardRef(function Card2({
  variant,
  borderColor,
  callToAction,
  dense,
  fullHeight,
  className,
  children,
  ...props
}, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "div",
      ref,
      className: clsx(className, {
        "ds-card": true,
        "ds-card--dense": dense,
        "ds-card--border": variant === "border",
        "ds-card--border-top": variant === "border-top",
        "ds-card--divider": variant === "divider",
        "ds-card--cta": callToAction,
        "ds-card--border-light": borderColor === "light",
        "ds-card--border-dark": borderColor === "dark",
        "ds-card--full-height": fullHeight
      }),
      ...props
    },
    /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        className: clsx({
          "ds-card__body": true
        })
      },
      children
    )
  );
});
var Card_default = Card;
export {
  Card,
  Card_default as default
};
//# sourceMappingURL=index.js.map
