import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface CheckboxConditionalProps extends BaseProps<'div'> {
}
/**
 * CheckboxConditional asks the user a related question when they select a particular checkbox,
 * so they only see the question when it’s relevant to them.
 * CheckboxConditional must be used inside Checkbox component
 */
export declare const CheckboxConditional: React.ForwardRefExoticComponent<Omit<CheckboxConditionalProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default CheckboxConditional;
