import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface CheckboxItemProps extends BaseProps<'input'> {
    /**
     * dividerText is optional.
     * Add this prop to add a choice divider on top of a checkbox item.
     * The string is the text that it will appear above this checkbox item.
     */
    dividerText?: string;
}
/**
 * Details for the CheckboxItem.
 * CheckboxItem component allows the user to select one or more checkboxes
 * CheckboxItem must be used inside Checkbox component
 */
export declare const CheckboxItem: React.ForwardRefExoticComponent<Omit<CheckboxItemProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export default CheckboxItem;
