import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import CheckboxItemInput from "@digigov/react-core/CheckboxItemInput";
import ChoiceDividerText from "@digigov/react-core/ChoiceDividerText";
import LabelContainer from "@digigov/react-core/LabelContainer";
const CheckboxItem = React.forwardRef(function CheckboxItem2({ name, value, dividerText, className, disabled, children, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(React.Fragment, null, dividerText && /* @__PURE__ */ React.createElement(ChoiceDividerText, null, dividerText), /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "div",
      className: clsx(className, {
        "ds-checkboxes__item": true
      })
    },
    /* @__PURE__ */ React.createElement(
      LabelContainer,
      {
        className: clsx({
          "ds-checkboxes__label": true,
          "ds-checkboxes__label--disabled": disabled
        })
      },
      children,
      /* @__PURE__ */ React.createElement(
        CheckboxItemInput,
        {
          ref,
          name,
          value,
          disabled,
          ...props
        }
      )
    )
  ));
});
var CheckboxItem_default = CheckboxItem;
export {
  CheckboxItem,
  CheckboxItem_default as default
};
//# sourceMappingURL=index.js.map
