import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import { CloseIcon } from "@digigov/react-icons";
const Chip = React.forwardRef(function Chip2({ className, onDelete, onClick, children, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "li",
      ref,
      className: clsx(className, {
        "ds-chip": true,
        "ds-chip--deletable": !!onDelete
      }),
      ...props,
      onClick
    },
    /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        role: onClick && "button",
        tabIndex: onClick && 0,
        className: "ds-chip__content"
      },
      children,
      onDelete && /* @__PURE__ */ React.createElement(
        CloseIcon,
        {
          onClick: (e) => {
            e.stopPropagation();
            onDelete(e);
          }
        }
      )
    )
  );
});
var Chip_default = Chip;
export {
  Chip,
  Chip_default as default
};
//# sourceMappingURL=index.js.map
