import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface CircularProgressProps extends BaseProps<'svg'> {
    /**
     * color prop is optional.
     * color prop is used to change the color of the loader.
     * @value 'primary' is the default color.
     * @value 'secondary' recommended for dark backgrounds.
     * @default 'primary'
     */
    color?: 'primary' | 'secondary';
    /**
     * size prop is optional.
     * size prop is used to change the size of the loader.
     * @value 'sm'
     * @value 'md'
     * @value 'lg'
     * @default 'md'
     */
    size?: 'sm' | 'md' | 'lg';
}
/**
 * Use CircularProgress component as an animated loader.
 *  CircularProgress can be used inside LoaderContainer component.
 */
export declare const CircularProgress: React.ForwardRefExoticComponent<Omit<CircularProgressProps, "ref"> & React.RefAttributes<SVGSVGElement>>;
export default CircularProgress;
