import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const CircularProgress = React.forwardRef(function CircularProgress2({ color = "primary", size = "md", className, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "svg",
      ref,
      className: clsx(className, {
        "ds-circular-progress": true,
        "ds-circular-progress--secondary": color === "secondary",
        "ds-circular-progress--sm": size === "sm",
        "ds-circular-progress--md": size === "md",
        "ds-circular-progress--lg": size === "lg"
      }),
      focusable: "false",
      viewBox: "0 0 200 200",
      "aria-hidden": "true",
      ...props
    },
    /* @__PURE__ */ React.createElement(
      "path",
      {
        className: "ds-circular-progress__circle ds-circular-progress__circle--1",
        d: "M26,99.551C26,55.478,60.246,27.5,99.85,27.5S174,55.478,174,99.551,139.455,172.5,99.85,172.5C60.273,172.473,26,143.6,26,99.551Z"
      }
    ),
    /* @__PURE__ */ React.createElement(
      "path",
      {
        className: "ds-circular-progress__circle ds-circular-progress__circle--2",
        d: "M26,99.551C26,55.478,60.246,27.5,99.85,27.5S174,55.478,174,99.551,139.455,172.5,99.85,172.5C60.273,172.473,26,143.6,26,99.551Z"
      }
    )
  );
});
var CircularProgress_default = CircularProgress;
export {
  CircularProgress,
  CircularProgress_default as default
};
//# sourceMappingURL=index.js.map
