import React from 'react';
import { ButtonProps } from '@digigov/react-core/Button';
export interface CloseButtonProps extends ButtonProps {
    /**
     * label is optional.
     * If empty, the CloseButton will only have a close icon.
     * Use this prop to add text beside the close icon. For example: 'Κλείσιμο'.
     */
    label?: string;
}
/**
 * CloseButton is an <button> element. It can be used be inside the FilterSection component.
 */
export declare const CloseButton: React.ForwardRefExoticComponent<Omit<CloseButtonProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
export default CloseButton;
