import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface CodeBlockHeaderProps extends BaseProps<'div'> {
    /**
     * justify prop is optional.
     * justify prop is used the justify-content style.
     * @value 'start' is used to place the header's content at the start.
     * @value 'end' is used to place the header's content at the end.
     * @value 'spaceBetween' is recommended for two items in header.
     * @default 'start'
     */
    justify?: 'start' | 'space-between' | 'end';
}
/**
 * CodeBlockHeader can be used as header inside the CodeBlockContainer.
 *
 */
export declare const CodeBlockHeader: React.ForwardRefExoticComponent<Omit<CodeBlockHeaderProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default CodeBlockHeader;
