import React from 'react';
import { GridProps } from '@digigov/react-core/Grid';
export interface ContainerProps extends GridProps {
    /**
     * grid is optional. Set to false if you don't need grid layout.
     * @value true
     * @value false
     * @default true
     */
    grid?: boolean;
    /**
     * fullWidth is optional. Set to true if you need a full width layout.
     * @value true
     * @value false
     * @default false
     */
    fullWidth?: boolean;
}
/**
 * Use Container as a wrapper.
 */
export declare const Container: React.ForwardRefExoticComponent<Omit<ContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default Container;
