import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface CopyToClipboardContainerProps extends BaseProps<'div'> {
    /**
     * @value 'tooltip' is used when you want to show the message inside a tooltip.
     * @value 'banner' is used when you want to show the message inside a banner.
     * @default 'tooltip'
     */
    variant?: 'tooltip' | 'banner';
    /**
     * tooltipAlign is optional.
     * tooltipAlign prop adds tooltip right or left and is used only if variant is tooltip.
     * @value 'right'
     * @value 'left'
     * @default 'right'
     */
    tooltipAlign?: 'right' | 'left';
    /**
     * dense is optional.
     * affects only the density of the tooltip.
     * @value true tooltip will be dense.
     * @value false
     * @default false
     * */
    dense?: boolean;
}
/**
 * CopyToClipboardContainer is a wrapper component for CopyToClipboardMessage
 */
export declare const CopyToClipboardContainer: React.ForwardRefExoticComponent<Omit<CopyToClipboardContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default CopyToClipboardContainer;
