import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const CopyToClipboardContainer = React.forwardRef(function CopyToClipboardContainer2({
  variant = "tooltip",
  tooltipAlign = "right",
  className,
  dense,
  children,
  ...props
}, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "div",
      ref,
      ...props,
      className: clsx(className, {
        "ds-copy-to-clipboard": true
      }),
      ...props
    },
    /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        className: clsx(className, {
          "ds-copy-to-clipboard__tooltip": variant === "tooltip",
          "ds-copy-to-clipboard__tooltip--dense": variant === "tooltip" && dense,
          "ds-copy-to-clipboard__tooltip--left": variant === "tooltip" && tooltipAlign === "left",
          "ds-copy-to-clipboard__tooltip--right": variant === "tooltip" && tooltipAlign === "right",
          "ds-copy-to-clipboard__banner": variant === "banner"
        })
      },
      children
    )
  );
});
var index_web_default = CopyToClipboardContainer;
export {
  CopyToClipboardContainer,
  index_web_default as default
};
//# sourceMappingURL=index.web.js.map
