import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface DateInputContainerProps extends BaseProps<'div'> {
    /**
     * dense is optional.
     * @value true DateInputs will be dense.
     * @value false
     * @default false
     */
    dense?: boolean;
}
/**
 * Details for the DateInputContainer.
 * DateInputContainer component is used for helping users enter a memorable date or one they can easily look up
 * It is used as a parent component to wrap DateInputItem component
 *
 */
export declare const DateInputContainer: React.ForwardRefExoticComponent<Omit<DateInputContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default DateInputContainer;
