import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface DateInputItemProps extends BaseProps<'input'> {
    /**
     * Width property is optional.
     * Use this property for year field to grow width.
     * @value 2
     * @value 4
     * @default 2
     */
    width?: 2 | 4;
    /**
     * error is optional. The default value is false.
     * Use this prop when there is an error at the input.
     * @value true
     * @value false
     */
    error?: boolean;
}
/**
 * Details for the DateInputItem.
 * DateInputItem component is used for displaying date.
 * DateInputItem component must be included inside DateInput component as children component
 */
export declare const DateInputItem: React.ForwardRefExoticComponent<Omit<DateInputItemProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export default DateInputItem;
