import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import { TextInput } from "@digigov/react-core/TextInput";
const DateInputItem = React.forwardRef(function DateInputItem2({ name, width = 2, error, className, children, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "div",
      className: clsx(className, {
        "ds-date-input__item": true
      })
    },
    /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "label",
        className: clsx({
          "ds-label": true
        })
      },
      children,
      /* @__PURE__ */ React.createElement(
        TextInput,
        {
          ref,
          type: "text",
          name,
          maxWidth: `${width}-char`,
          error,
          ...props
        }
      )
    )
  );
});
var index_web_default = DateInputItem;
export {
  DateInputItem,
  index_web_default as default
};
//# sourceMappingURL=index.web.js.map
