import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Drawer = React.forwardRef(
  function Drawer2({
    open,
    direction = "left",
    upRelative = "never",
    bgColor,
    className,
    children,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        ref,
        className: clsx({
          "ds-drawer-container": true,
          "ds-drawer-container--relative-sm": upRelative === "sm",
          "ds-drawer-container--relative-md": upRelative === "md",
          "ds-drawer-container--relative-lg": upRelative === "lg",
          "ds-drawer-container--closed": !open
        })
      },
      /* @__PURE__ */ React.createElement(
        Base,
        {
          as: "div",
          className: clsx(className, {
            "ds-drawer": true,
            "ds-drawer--relative-sm": upRelative === "sm",
            "ds-drawer--relative-md": upRelative === "md",
            "ds-drawer--relative-lg": upRelative === "lg",
            "ds-drawer--closed": !open,
            "ds-drawer--right": direction === "right",
            "ds-drawer--left": direction === "left",
            "ds-drawer--bg-secondary": bgColor === "secondary"
          }),
          ...props
        },
        children
      )
    );
  }
);
var Drawer_default = Drawer;
export {
  Drawer,
  Drawer_default as default
};
//# sourceMappingURL=index.js.map
