import React from 'react';
import { StackProps } from '@digigov/react-core/Stack';
export interface DrawerHeadingProps extends StackProps {
    /**
     * closeLabel is optional.
     * This declares the label of the close icon.
     * @default 'Κλείσιμο'
     */
    closeLabel?: string;
}
/**
 * Use DrawerHeading component inside Drawing
 * for menu heading title and close icon(for mobiles).
 */
export declare const DrawerHeading: React.ForwardRefExoticComponent<Omit<DrawerHeadingProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default DrawerHeading;
