import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import { ChevronIcon } from "@digigov/react-icons";
const DropdownButton = React.forwardRef(function DropdownButton2({
  className,
  children,
  color = "primary",
  variant = "button",
  arrow = false,
  tabIndex = 0,
  underline,
  ...props
}, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "summary",
      ref,
      tabIndex,
      className: clsx(className, {
        "ds-dropdown__button": true,
        "ds-link": variant === "link",
        "ds-btn": variant === "button",
        "ds-dropdown__button--chevron": arrow,
        "ds-dropdown__button--underline": underline,
        "ds-btn-primary": variant === "button" && color === "primary",
        "ds-btn-secondary": variant === "button" && color === "secondary",
        "ds-btn-warning": variant === "button" && color === "warning"
      }),
      ...props
    },
    children,
    arrow && /* @__PURE__ */ React.createElement(ChevronIcon, { direction: "down" })
  );
});
var DropdownButton_default = DropdownButton;
export {
  DropdownButton,
  DropdownButton_default as default
};
//# sourceMappingURL=index.js.map
