import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface DropdownContentProps extends BaseProps<'div'> {
    /**
     * fullWidth is optional.
     * If true, the dropdown content will be full width.
     * @value true
     * @value false
     * @default true
     */
    fullWidth?: boolean;
    /**
     * scrollable prop is optional.
     * If true, the dropdown content will have limited scrollable height.
     * @value true
     * @value false
     * @default false
     */
    scrollable?: boolean;
}
/**
 * You should use DropdownContent component inside Dropdown component.
 */
export declare const DropdownContent: React.ForwardRefExoticComponent<Omit<DropdownContentProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default DropdownContent;
