import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface ErrorMessageProps extends BaseProps<'p'> {
}
/**
 * ErrorMessage is used to show an error message when there is a validation error.
 * In the error message explain what went wrong and how to fix it.
 * This component is placed below the FieldsetLegend and the Hint.
 */
export declare const ErrorMessage: React.ForwardRefExoticComponent<Omit<ErrorMessageProps, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
export default ErrorMessage;
