import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface FieldsetLegendProps extends BaseProps<'legend'> {
    /**
     * size is optional. The default value is 'lg'
     * @value 'xl'
     * @value 'lg'
     * @value 'md'
     * @value 'sm'
     * @default 'lg'
     */
    size?: 'xl' | 'lg' | 'md' | 'sm';
    /**
     * heading is optional.
     * Add this prop if this Fieldset component is the only one in this page.
     * The default value is false.
     * @value true
     * @value false
     * @default false
     */
    heading?: boolean;
}
/**
 * FieldsetLegend component is the title within a Fieldset component.
 */
export declare const FieldsetLegend: React.ForwardRefExoticComponent<Omit<FieldsetLegendProps, "ref"> & React.RefAttributes<HTMLLegendElement>>;
export default FieldsetLegend;
