import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const FieldsetLegend = React.forwardRef(function FieldsetLegend2({ size = "lg", heading = false, className, children, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "legend",
      ref,
      className: clsx(className, {
        "ds-fieldset__legend": true,
        [`ds-fieldset__legend--${size}`]: size !== void 0
      }),
      ...heading && { role: "heading", "aria-level": 1 },
      ...props
    },
    children
  );
});
var FieldsetLegend_default = FieldsetLegend;
export {
  FieldsetLegend,
  FieldsetLegend_default as default
};
//# sourceMappingURL=index.js.map
