import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const FileUpload = React.forwardRef(
  function FileUpload2({ name, className, children, disabled, hasFiles = false, ...props }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "label",
        tabIndex: 0,
        role: "button",
        className: clsx(className, {
          "ds-label-file": true,
          "ds-btn": !hasFiles,
          "ds-btn-secondary": !hasFiles,
          "ds-link": hasFiles
        })
      },
      /* @__PURE__ */ React.createElement(
        Base,
        {
          as: "input",
          ref,
          type: "file",
          name,
          disabled,
          className: clsx({
            "ds-file-input": true
          }),
          ...props
        }
      ),
      children
    );
  }
);
var FileUpload_default = FileUpload;
export {
  FileUpload,
  FileUpload_default as default
};
//# sourceMappingURL=index.js.map
