import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface FillableTextProps extends BaseProps<'blockquote'> {
}
/**
 * Use FillableText component to display text that is connected with a form.
 * Whenever a user fills an input field, the corresponding text inside the LabeledText component gets focused.
 */
export declare const FillableText: React.ForwardRefExoticComponent<Omit<FillableTextProps, "ref"> & React.RefAttributes<HTMLElement>>;
export default FillableText;
