import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const FilterContainer = React.forwardRef(function FilterContainer2({
  className,
  border = true,
  open = false,
  positionRelative = "md",
  children,
  ...props
}, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "div",
      ref,
      className: clsx({
        "ds-filter-container": true,
        "ds-filter-container--position-relative-always": positionRelative === "always",
        "ds-filter-container--position-relative-sm": positionRelative === "sm",
        "ds-filter-container--position-relative-md": positionRelative === "md",
        "ds-filter-container--position-relative-lg": positionRelative === "lg",
        "ds-filter-container--closed": !open
      })
    },
    /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        className: clsx(className, {
          "ds-filter": true,
          "ds-filter--border ": border,
          "ds-filter--position-relative-always": positionRelative === "always",
          "ds-filter--position-relative-sm": positionRelative === "sm",
          "ds-filter--position-relative-md": positionRelative === "md",
          "ds-filter--position-relative-lg": positionRelative === "lg"
        }),
        ...props
      },
      children
    )
  );
});
var FilterContainer_default = FilterContainer;
export {
  FilterContainer,
  FilterContainer_default as default
};
//# sourceMappingURL=index.js.map
