import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface FilterHeadingContainerProps extends BaseProps<'div'> {
    /**
     * closeLabel is optional.
     * This declares the label of the close icon.
     * @default 'Κλείσιμο'
     */
    closeLabel?: string;
    /**
     * onClick is optional.
     * This declares the click event of the close icon.
     * @default undefined
     */
    onClick?: (e: React.MouseEvent<HTMLElement, MouseEvent>) => void;
}
/**
 * Use FilterHeadingContainer component inside FilterContainer
 * for filters heading title and close icon(for mobiles).
 * When the Filters are being used inside a Drawer component, you don't have to
 * use the FilterHeadingContainer component
 */
export declare const FilterHeadingContainer: React.ForwardRefExoticComponent<Omit<FilterHeadingContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default FilterHeadingContainer;
