import React from 'react';
import { HeadingProps } from '@digigov/react-core/Heading';
export interface FooterHeadingProps extends Omit<HeadingProps, 'size'> {
    /**
     * size is optional.
     * The values are: 'md' for medium, 'sm' for small.
     * The default value is 'sm'.
     * @value 'md'
     * @value 'sm'
     * @default 'sm'
     */
    size?: 'md' | 'sm';
}
/**
 * FooterHeading is a component used for heading in the footer.
 */
export declare const FooterHeading: React.ForwardRefExoticComponent<Omit<FooterHeadingProps, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
export default FooterHeading;
