import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface FooterListProps extends BaseProps<'ul'> {
    /**
     * columns is optional.
     * The values for this are 1 and 2. The default value is 1.
     * @value 1
     * @value 2
     */
    columns?: 1 | 2;
    /**
     * layout is optional.
     * The default value is vertical. Use horizontal to make a horizontal list.
     * If it is horizontal, it can't have columns.
     */
    layout?: 'horizontal' | 'vertical';
}
/**
 * FooterList is used inside the FooterNavigationSection.
 * This component takes a list of FooterListItem component as its children.
 */
export declare const FooterList: React.ForwardRefExoticComponent<Omit<FooterListProps, "ref"> & React.RefAttributes<HTMLUListElement>>;
export default FooterList;
