import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import logo from "@digigov/react-core/GovGRLogo/govgr-logo-base64";
import logoInverted from "@digigov/react-core/GovGRLogo/govgr-logo-blue-base64";
const GovGRLogo = React.forwardRef(
  function GovGRLogo2({ href = "https://www.gov.gr/", className, ...props }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "a",
        href,
        ref,
        className: clsx(className, { "ds-header__link": true }),
        ...props
      },
      /* @__PURE__ */ React.createElement(
        "img",
        {
          src: logo,
          className: clsx(className, {
            "ds-header__logo": true
          }),
          alt: "gov.gr logo"
        }
      ),
      /* @__PURE__ */ React.createElement(
        "img",
        {
          src: logoInverted,
          className: clsx(className, {
            "ds-header__logo-inverted": true
          }),
          alt: "gov.gr logo"
        }
      )
    );
  }
);
var GovGRLogo_default = GovGRLogo;
export {
  GovGRLogo,
  GovGRLogo_default as default
};
//# sourceMappingURL=index.js.map
