import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Grid = React.forwardRef(function Grid2({
  className,
  children,
  container = false,
  item = true,
  spacing,
  inline,
  xs,
  sm,
  md,
  lg,
  xl,
  as,
  ...props
}, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: as || "div",
      ref,
      className: clsx(className, {
        "ds-grid": container,
        "ds-grid-inline": container && inline,
        [`ds-gap-${spacing}`]: container && typeof spacing === "number",
        [`ds-gap-xs-${spacing?.xs}`]: container && spacing?.xs !== void 0,
        [`ds-gap-sm-${spacing?.sm}`]: container && spacing?.sm !== void 0,
        [`ds-gap-md-${spacing?.md}`]: container && spacing?.md !== void 0,
        [`ds-gap-lg-${spacing?.lg}`]: container && spacing?.lg !== void 0,
        [`ds-gap-xl-${spacing?.xl}`]: container && spacing?.xl !== void 0,
        [`xs:ds-grid__col-span-${xs}`]: item && xs !== void 0,
        [`sm:ds-grid__col-span-${sm}`]: item && sm !== void 0,
        [`md:ds-grid__col-span-${md}`]: item && md !== void 0,
        [`lg:ds-grid__col-span-${lg}`]: item && lg !== void 0,
        [`xl:ds-grid__col-span-${xl}`]: item && xl !== void 0
      }),
      ...props
    },
    children
  );
});
var Grid_default = Grid;
export {
  Grid,
  Grid_default as default
};
//# sourceMappingURL=index.js.map
