import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface HeaderSecondaryLogoProps extends BaseProps<'a'> {
    /**
    * src is needed to provide the url that we get the logo from.
  
    */
    src: string;
    /**
    * href provides the alternative text for the img tag.
  
    */
    altText?: string;
}
/**
 * HeaderSecondaryLogo is used inside Header for providing additional logos.
 */
export declare const HeaderSecondaryLogo: React.ForwardRefExoticComponent<Omit<HeaderSecondaryLogoProps, "ref"> & React.RefAttributes<HTMLAnchorElement>>;
export default HeaderSecondaryLogo;
