import React from "react";
import clsx from "clsx";
import Typography from "@digigov/react-core/Typography";
const getComponentBySize = (size) => {
  switch (size) {
    case "xl":
      return "h1";
    case "lg":
      return "h2";
    case "md":
      return "h3";
    case "sm":
      return "h4";
    case "xs":
      return "h5";
    default:
      return "h1";
  }
};
const Heading = React.forwardRef(
  function Heading2({ size = "xl", element, breakWords, className, children, ...props }, ref) {
    const Component = element ? element : getComponentBySize(size);
    return /* @__PURE__ */ React.createElement(
      Typography,
      {
        as: Component,
        ref,
        className: clsx(className, {
          [`ds-heading-${size}`]: size !== void 0,
          "ds-heading--break-words": breakWords
        }),
        ...props
      },
      children
    );
  }
);
var Heading_default = Heading;
export {
  Heading,
  Heading_default as default
};
//# sourceMappingURL=index.js.map
