import React from 'react';
import { TypographyProps } from '@digigov/react-core/Typography';
export interface HeadingCaptionProps extends TypographyProps {
    /**
     * size is optional. The default value is 'lg'.
     * This size should be the same as the matching Heading.
     * @value 'xl'
     * @value 'lg'
     * @value 'md'
     * @default 'lg'
     */
    size?: 'xl' | 'lg' | 'md';
}
/**
 * Sometimes you may need to make it clear that a page is part of a larger section or group.
 * To do this, you can use a Heading with a HeadingCaption above it.
 */
export declare const HeadingCaption: React.ForwardRefExoticComponent<Omit<HeadingCaptionProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
export default HeadingCaption;
