import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface HellenicRepublicLogoProps extends BaseProps<'img'> {
    /**
     * lang is optional.
     * Use this to define the language version of the logo. Default is el.
     * @value 'el'
     * @value 'en'
     */
    lang?: 'el' | 'en';
}
/**
 * HellenicRepublicLogo is used mainly at the Footer.
 * This component can't have children.
 */
export declare const HellenicRepublicLogo: React.ForwardRefExoticComponent<Omit<HellenicRepublicLogoProps, "ref"> & React.RefAttributes<HTMLImageElement>>;
export default HellenicRepublicLogo;
