import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import logoEl from "@digigov/react-core/HellenicRepublicLogo/logo-el";
import logoEn from "@digigov/react-core/HellenicRepublicLogo/logo-en";
import logoElInverted from "@digigov/react-core/HellenicRepublicLogo/logo-inverted-el";
import logoEnInverted from "@digigov/react-core/HellenicRepublicLogo/logo-inverted-en";
const HellenicRepublicLogo = React.forwardRef(function HellenicRepublicLogo2({ lang, className, children, ...props }, ref) {
  const logo = lang === "en" ? logoEn : logoEl;
  const logoInverted = lang === "en" ? logoEnInverted : logoElInverted;
  return /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "img",
      src: logo,
      ref,
      className: clsx(className, {
        "ds-footer__government-logo": true
      }),
      ...props,
      alt: "Hellenic Republic Logo"
    },
    children
  ), /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "img",
      src: logoInverted,
      ref,
      className: clsx(className, {
        "ds-footer__government-logo-inverted": true
      }),
      ...props,
      alt: "Hellenic Republic Logo"
    },
    children
  ));
});
var HellenicRepublicLogo_default = HellenicRepublicLogo;
export {
  HellenicRepublicLogo,
  HellenicRepublicLogo_default as default
};
//# sourceMappingURL=index.js.map
