import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface ImageLogoProps extends BaseProps<'img'> {
    /**
     * src is optional.
     * src is used to display images.
     */
    src?: string;
    /**
     * variant is optional.
     * variant is used to display images depending the theme (dark, light).
     */
    variant?: 'light' | 'dark';
}
/**
 * ImageLogo is used as a generic component for digigov images.
 * This component can't have children.
 */
export declare const ImageLogo: React.ForwardRefExoticComponent<Omit<ImageLogoProps, "ref"> & React.RefAttributes<HTMLImageElement>>;
export default ImageLogo;
