import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface ImageLogoSet extends BaseProps<'img'> {
    /**
     * src is optional.
     * src is used to display images.
     */
    src?: string;
    /**
     * variant is optional.
     * variant is used to display images depending the theme (dark, light).
     */
    variants?: ('dark' | 'light')[];
}
/**
 * ImageLogoSet is used as image inverter depending the theme (dark, light).
 * This component can't have children.
 */
export declare const ImageLogoSet: React.ForwardRefExoticComponent<Omit<ImageLogoSet, "ref"> & React.RefAttributes<HTMLImageElement>>;
export default ImageLogoSet;
