import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface LabelFieldProps extends BaseProps<'span'> {
    /**
     * size is optional. The default value is 'lg'
     * @value 'xl'
     * @value 'lg'
     * @value 'md'
     * @value 'sm'
     */
    size?: 'xl' | 'lg' | 'md' | 'sm';
    /**
     * heading is optional.
     * Add this prop if this Field component is the only one in this page.
     * The default value is false.
     * @value true
     * @value false
     * @default false
     */
    heading?: boolean;
}
/**
 * Label component defines a label for several elements at forms.
 */
export declare const LabelTitle: React.ForwardRefExoticComponent<Omit<LabelFieldProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
export default LabelTitle;
