import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface MastheadProps extends BaseProps<'section'> {
    /**
     *
     * color prop changes the background color of MastHead component.
     * default value is primary.
     * @value 'primary'
     * @value 'secondary'
     * @default 'primary'
     */
    color?: 'primary' | 'secondary';
}
/**
 * Use the Masthead on the top of the page.
 */
export declare const Masthead: React.ForwardRefExoticComponent<Omit<MastheadProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default Masthead;
