import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import CloseButton from "@digigov/react-core/CloseButton";
const Nav = React.forwardRef(function Nav2({
  className,
  open,
  drawer = "never",
  onClose,
  closeButtonLabel,
  border = true,
  children,
  ...props
}, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "nav",
      ref,
      className: clsx(className, {
        "ds-nav": true,
        "ds-nav--border": border,
        "ds-nav--hidden": drawer != "never" && !open,
        "ds-nav--drawer-smDown": drawer === "smDown",
        "ds-nav--drawer-mdDown": drawer === "mdDown",
        "ds-nav--drawer-lgDown": drawer === "lgDown",
        "ds-nav--drawer": drawer === "always"
      }),
      ...props
    },
    onClose && drawer !== "never" && /* @__PURE__ */ React.createElement(
      CloseButton,
      {
        smUpHidden: drawer === "smDown",
        mdUpHidden: drawer === "mdDown",
        lgUpHidden: drawer === "lgDown",
        onClick: (e) => onClose(e),
        label: closeButtonLabel
      }
    ),
    children
  );
});
var Nav_default = Nav;
export {
  Nav,
  Nav_default as default
};
//# sourceMappingURL=index.js.map
