import React from 'react';
import { NavListItemButtonProps } from '@digigov/react-core/NavListItemButton';
import { NavListItemLinkProps } from '@digigov/react-core/NavListItemLink';
export type LinkButtonJoinProps = NavListItemLinkProps & NavListItemButtonProps;
export interface NavListItemActionProps extends LinkButtonJoinProps {
    /**
     * label is optional.
     * The label for the NavListItemAction.
     */
    label?: string;
    /**
     * arrow is optional.
     * use arrow prop if you want to have arrow at the nav list item.
     * @value true
     * @value false
     * @default false
     */
    arrow?: boolean;
    badgeText?: string;
}
/**
 * NavListItemAction must be inside the NavList.
 * This component has a items of NavListItemLink component inside.
 */
export declare const NavListItemAction: React.ForwardRefExoticComponent<Omit<NavListItemActionProps, "ref"> & React.RefAttributes<HTMLAnchorElement | HTMLButtonElement>>;
export default NavListItemAction;
