import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface NavListItemBadgeProps extends BaseProps<'span'> {
    /**
     * text is optional.
     * text prop contains text to be displayed in the badge.
     */
    text?: string;
}
/**
 * NavListItemBadge is used inside NavListItemAction.
 * This component adds a badge to a NavListItem.
 */
export declare const NavListItemBadge: React.ForwardRefExoticComponent<Omit<NavListItemBadgeProps, "ref"> & React.RefAttributes<HTMLAnchorElement | HTMLSpanElement>>;
export default NavListItemBadge;
