import React from 'react';
import { ButtonProps } from '@digigov/react-core/Button';
export interface NavListItemButtonProps extends ButtonProps {
    /**
     * When the NavListItemButton is active, that means that we are in this option / page of the Nav.
     * NavListItemButton for nav menu.
     * active is optional.
     *
     * @value true
     * @value false
     */
    active?: boolean;
    /**
     * use arrow prop if you want to have arrows in navigation buttons.
     * arrow is optional.
     *
     * @value true
     * @value false
     * @default true
     */
    arrow?: boolean;
}
/**
 * NavListItemButton is an <button> element. It should be inside the NavListItem component.
 */
export declare const NavListItemButton: React.ForwardRefExoticComponent<Omit<NavListItemButtonProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
export default NavListItemButton;
