import React from "react";
import clsx from "clsx";
import Button from "@digigov/react-core/Button";
import { ChevronIcon } from "@digigov/react-icons";
const NavListItemButton = React.forwardRef(function NavListItemButton2({ active, className, arrow = true, children, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(
    Button,
    {
      variant: "link",
      ref,
      "aria-selected": active,
      className: clsx(className, {
        "ds-nav__list-item-btn": true,
        "ds-nav__list-item-btn--active": active
      }),
      ...props
    },
    children,
    arrow && /* @__PURE__ */ React.createElement(ChevronIcon, { direction: active ? "up" : "down" })
  );
});
var NavListItemButton_default = NavListItemButton;
export {
  NavListItemButton,
  NavListItemButton_default as default
};
//# sourceMappingURL=index.js.map
