import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface NavListItemLinkProps extends BaseProps<'a'> {
    /**
     * When the NavListItemLink is active, that means that we are in this option / page of the Nav.
     * active is optional.
     *
     * @value true
     * @value false
     */
    active?: boolean;
}
/**
 * NavListItemLink is an <a> element. It should be inside the NavListItem component.
 */
export declare const NavListItemLink: React.ForwardRefExoticComponent<Omit<NavListItemLinkProps, "ref"> & React.RefAttributes<HTMLAnchorElement>>;
export default NavListItemLink;
