import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface NavMenuContainerProps extends BaseProps<'div'> {
    /**
     * active is optional.
     * Exactly one NavMenu should be active every time.
     * This declares that this content is active and should depend of the 'selected' NavItem.
     * @value true
     * @value false
     */
    active?: boolean;
    /**
     * layout prop sets the display layout for the nav list.
     * @value 'vertical'
     * @value 'horizontal'
     * @default 'horizontal'
     */
    layout?: 'vertical' | 'horizontal';
}
/**
 * NavMenuContainer is the container menu component.
 * Inside this component must be NavMenuContainerContent component.
 */
export declare const NavMenuContainer: React.ForwardRefExoticComponent<Omit<NavMenuContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default NavMenuContainer;
