import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import Container from "@digigov/react-core/Container";
const NavMenuContainer = React.forwardRef(function NavMenuContainer2({ className, active, layout = "horizontal", children, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "div",
      ref,
      "aria-hidden": !active,
      className: clsx(className, {
        "ds-nav-menu": true,
        "ds-nav-menu--horizontal": layout === "horizontal",
        "ds-nav-menu--vertical": layout === "vertical",
        "ds-nav-menu--hidden": !active
      })
    },
    /* @__PURE__ */ React.createElement(
      Container,
      {
        grid: layout === "horizontal",
        spacing: 4,
        ref,
        className,
        ...props
      },
      children
    )
  );
});
var NavMenuContainer_default = NavMenuContainer;
export {
  NavMenuContainer,
  NavMenuContainer_default as default
};
//# sourceMappingURL=index.js.map
