import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface NotificationBannerContainerProps extends BaseProps<'div'> {
    /**
     * variant is optional.
     * variant is used to change the color of the NotificationBannerContainer.
     * @value 'info'
     * @value 'success'
     * @value 'error'
     * @value 'error-group'
     * @default 'info'.
     */
    variant?: 'info' | 'success' | 'error' | 'error-group';
    /**
     * dense is optional.
     * @value true NotificationBannerContainer will be dense.
     * @value false
     * @default false
     * */
    dense?: boolean;
}
/**
 * Details for the NotificationBannerContainer.
 * NotificationBannerContainer component informs users about something they need to know about
 * NotificationBannerContainer component must be placed at the top of the page.
 * NotificationBannerContainer wraps NotificationBannerContainerHeader, NotificationBannerContainerContent,NotificationBannerContainerHeading
 * and NotificationBannerContainerLink components as children
 */
export declare const NotificationBannerContainer: React.ForwardRefExoticComponent<Omit<NotificationBannerContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default NotificationBannerContainer;
