import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface NotificationBannerContentProps extends BaseProps<'div'> {
    /**
     * assistiveText is optional.
     * Default value is "Προσοχή".
     * assistiveText is used to provide a textual warning for assistive technologies like screen readers.
     */
    assistiveText?: string;
    /**
     * variant is optional.
     * variant is used to display red line on the left side of the component and exclamation mark icon with light red as background.
     * @value 'error'
     * @value 'error-group'
     * @default 'error'.
     */
    /**
     * variant is optional.
     * variant error is used to change the color of the NotificationBannerContainer.
     * variant error-group is used to display red line on the left side of the component and exclamation mark icon with light red as background.
     * @value 'error'
     * @value 'error-group'
     * @default 'error'.
     */
    variant?: 'error' | 'error-group';
}
/**
 * Details for the NotificationBannerContent.
 * NotificationBannerContent component is used as a content for
 * NotificationBannerHeading and NotificationBannerLink components.
 * NotificationBannerContent component must be used inside NotificationBanner component as children.
 */
export declare const NotificationBannerContent: React.ForwardRefExoticComponent<Omit<NotificationBannerContentProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default NotificationBannerContent;
