import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface PaginationProps extends BaseProps<'nav'> {
    /**
     * size is optional.
     * You can add this size override prop in order to change the font size.
     * @value 'sm'
     * @value 'md'
     * @default 'md'
     */
    size?: 'sm' | 'md';
}
/**
 * Use Pagination to let users browse through a long list.
 */
export declare const Pagination: React.ForwardRefExoticComponent<Omit<PaginationProps, "ref"> & React.RefAttributes<HTMLElement>>;
export default Pagination;
