import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface PaginationListItemProps extends BaseProps<'li'> {
    /**
     * active is optional. Default value is false.
     * @value true
     * @value false
     * @default true
     */
    active?: boolean;
    /**
     * active is optional. Default value is false.
     * @value true
     * @value false
     */
    currentPage?: boolean;
    /**
     * use variant=number for list items that are navigation numbers and variant=dots for the dots item.
     * @value 'number'
     * @value 'dots'
     * @default 'number'
     */
    variant?: 'number' | 'dots';
}
/**
 * PaginationListItem is used inside PaginationList for the items of the pagination list.
 */
export declare const PaginationListItem: React.ForwardRefExoticComponent<Omit<PaginationListItemProps, "ref"> & React.RefAttributes<HTMLLIElement>>;
export default PaginationListItem;
