import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const PaginationListItem = React.forwardRef(function PaginationListItem2({
  active = true,
  currentPage,
  variant = "number",
  className,
  children,
  ...props
}, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "li",
      ref,
      className: clsx(className, {
        "ds-pagination__item": true,
        "ds-pagination__item--inactive": !active,
        "ds-pagination__item--current": currentPage,
        "ds-pagination__item--dots": variant === "dots"
      }),
      ...props
    },
    variant === "dots" ? "..." : children
  );
});
var PaginationListItem_default = PaginationListItem;
export {
  PaginationListItem,
  PaginationListItem_default as default
};
//# sourceMappingURL=index.js.map
