import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface PanelProps extends BaseProps<'div'> {
    /**
     * variant prop is optional.
     * variant prop is used to change the color of the panel.
     * 'success' is the default variant.
     */
    variant?: 'success';
}
/**
 * You should use Panel as the success of the final step of a process.
 */
export declare const Panel: React.ForwardRefExoticComponent<Omit<PanelProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default Panel;
