import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface PhaseBannerProps extends BaseProps<'div'> {
    /**
     * underline is optional.
     * Use this prop when you want to underline the phase banner.
     * @value true
     * @value false
     * @default false
     */
    underline?: boolean;
}
/**
 * PhaseBanner is a component used to show the phase of a service.
 * This component will replace ServiceBadge.
 */
export declare const PhaseBanner: React.ForwardRefExoticComponent<Omit<PhaseBannerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default PhaseBanner;
