import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface RadioContainerProps extends BaseProps<'div'> {
    /**
     * The `layout` prop controls whether the radio items will render next to each other or not.
     * @value 'horizontal'
     * @value 'vertical'
     * @default 'vertical'
     */
    layout?: 'horizontal' | 'vertical';
    /**
     * dense is optional.
     * @value true Radios will be dense.
     * @value false
     * @default false
     */
    dense?: boolean;
}
/**
 * RadioContainer component is uses when users can only select one option from a list.
 * It is used as parent component to wrap RadioItem component.
 */
export declare const RadioContainer: React.ForwardRefExoticComponent<Omit<RadioContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default RadioContainer;
