import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface RadioItemProps extends BaseProps<'input'> {
    /**
     * dividerText is optional.
     * Add this prop to add a choice dividerText on top of a radio item.
     * The string is the text that it will appear above this radio item.
     */
    dividerText?: string;
}
/**
 * RadioItem component is used for display radio buttons.
 * RadioItem component must be included inside Radio component, as a children component.
 */
export declare const RadioItem: React.ForwardRefExoticComponent<Omit<RadioItemProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export default RadioItem;
