import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import ChoiceDividerText from "@digigov/react-core/ChoiceDividerText";
import LabelContainer from "@digigov/react-core/LabelContainer";
const RadioItem = React.forwardRef(
  function RadioItem2({
    dividerText,
    name,
    value,
    className,
    disabled = false,
    children,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(React.Fragment, null, dividerText && /* @__PURE__ */ React.createElement(ChoiceDividerText, null, dividerText), /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        className: clsx(className, {
          "ds-radios__item": true
        })
      },
      /* @__PURE__ */ React.createElement(
        LabelContainer,
        {
          className: clsx({
            "ds-radios__label": true,
            "ds-radios__label--disabled": disabled
          })
        },
        children,
        /* @__PURE__ */ React.createElement(
          Base,
          {
            as: "input",
            ref,
            type: "radio",
            name,
            value,
            className: clsx({
              "ds-radios__input": true
            }),
            disabled,
            ...props
          }
        )
      )
    ));
  }
);
var RadioItem_default = RadioItem;
export {
  RadioItem,
  RadioItem_default as default
};
//# sourceMappingURL=index.js.map
