import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface SelectContainerProps extends BaseProps<'select'> {
    /**
     * dense is optional.
     * @value true Select will be dense.
     * @value false
     * @default false
     */
    dense?: boolean;
}
/**
 * The SelectContainer component allows users to choose an option from a long list.
 * It is used as a parent component to wrap SelectOption component.
 */
export declare const SelectContainer: React.ForwardRefExoticComponent<Omit<SelectContainerProps, "ref"> & React.RefAttributes<HTMLSelectElement>>;
export default SelectContainer;
