import React from 'react';
import { TextInputProps } from '@digigov/react-core/TextInput';
export interface SingleCharacterInputProps extends Omit<TextInputProps, 'maxLength'> {
    /**
    * pattern is optional. The default value is [0-9].
    * Use this prop when you want to give a specific format input.
  
    * @default '[0-9]*'
    */
    pattern?: string;
}
/**
 * Details for the SingleCharacterInput.
 * SingleCharacterInput component is used for displaying simple digital character inputs.
 * SingleCharacterInput component must be included inside SingleCharacterInputs component as children component
 */
export declare const SingleCharacterInput: React.ForwardRefExoticComponent<Omit<SingleCharacterInputProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export default SingleCharacterInput;
