import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Skeleton = React.forwardRef(
  function Skeleton2({
    width,
    height,
    fontSize,
    variant = "text",
    animation = true,
    className,
    children,
    style,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "span",
        ref,
        className: clsx(className, {
          "ds-skeleton": true,
          [`ds-skeleton--font-${fontSize}`]: fontSize !== void 0 && variant === "text",
          [`ds-skeleton--${variant}`]: !!variant && (!children || typeof children === "string"),
          "ds-skeleton--animate": !!animation,
          "ds-skeleton--width-fit-content": !!children && !width
        }),
        ...props,
        style: {
          width: typeof children === "string" ? Math.ceil(children.length * 0.5) + "em" : width,
          maxWidth: width ? "100%" : void 0,
          height,
          ...style
        }
      },
      variant === "button" && /* @__PURE__ */ React.createElement(
        Base,
        {
          as: "span",
          className: clsx({
            "ds-skeleton__line": true,
            "ds-skeleton__line--size-default": width === void 0 && height === void 0
          })
        }
      ),
      typeof children != "string" && children
    );
  }
);
var Skeleton_default = Skeleton;
export {
  Skeleton,
  Skeleton_default as default
};
//# sourceMappingURL=index.js.map
