import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Stack = React.forwardRef(
  function Stack2({
    direction = "column",
    justifyContent,
    alignItems,
    alignContent,
    spacing,
    flexWrap,
    className,
    children,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        ref,
        className: clsx(className, {
          "ds-stack": true,
          [`ds-stack--${direction}`]: direction,
          [`ds-stack--justify-${justifyContent}`]: justifyContent,
          [`ds-stack--align-${alignItems}`]: alignItems,
          [`ds-stack--content-${alignContent}`]: alignContent,
          "ds-stack--nowrap": flexWrap === "nowrap",
          [`ds-gap-${spacing}`]: spacing !== void 0,
          [`ds-gap-xs-${spacing?.xs}`]: spacing?.xs !== void 0,
          [`ds-gap-sm-${spacing?.sm}`]: spacing?.sm !== void 0,
          [`ds-gap-md-${spacing?.md}`]: spacing?.md !== void 0,
          [`ds-gap-lg-${spacing?.lg}`]: spacing?.lg !== void 0,
          [`ds-gap-xl-${spacing?.xl}`]: spacing?.xl !== void 0
        }),
        ...props
      },
      children
    );
  }
);
var Stack_default = Stack;
export {
  Stack,
  Stack_default as default
};
//# sourceMappingURL=index.js.map
