import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface StepNavProps extends BaseProps<'div'> {
    /**
     * dense is optional.
     * @value true StepNav will be dense.
     * @value false
     * @default false
     * */
    dense?: boolean;
}
/**
 * StepNav contains the content or any other element for step-by-step implementation.
 * Use StepNav as wrapper component.
 */
export declare const StepNav: React.ForwardRefExoticComponent<Omit<StepNavProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default StepNav;
