import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface StepNavAccordionHeadingTextProps extends BaseProps<'span'> {
    /**
     * Use openLabel to display the open state text under the accordion heading text.
     * @default 'Εμφάνιση'
     */
    openLabel?: string;
    /**
     * Use closeLabel to display the close state text under the accordion heading text.
     *
     * @default 'Απόκρυψη'
     */
    closeLabel?: string;
}
/**
 * Use StepNavAccordionHeadingText as title text,
 *
 *
 */
export declare const StepNavAccordionHeadingText: React.ForwardRefExoticComponent<Omit<StepNavAccordionHeadingTextProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
export default StepNavAccordionHeadingText;
