import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface StepNavAccordionSummaryHeadingProps extends BaseProps<'h2'> {
    /**
     * size is optional. 'lg' is the default value.
     * @value 'lg'
     * @value 'md'
     * @value 'sm'
     * @default 'lg'
     */
    size?: 'lg' | 'md' | 'sm';
    /**
     * element is optional. 'h2' is the default value.
     * @value 'h2'
     * @value 'h3'
     * @value 'h4'
     */
    element?: 'h2' | 'h3' | 'h4';
}
/**
 * StepNavAccordionSummaryHeading component is used as wrapper title in a StepNav component.
 * StepNavAccordionSummaryHeading must include StepNavCircleNumber,StepNavAccordionHeadingTitle,
 * StepNavAccordionHeadingText, StepNavAccordionClosed and StepNavAccordionOpened components.
 *
 */
export declare const StepNavAccordionSummaryHeading: React.ForwardRefExoticComponent<Omit<StepNavAccordionSummaryHeadingProps, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
export default StepNavAccordionSummaryHeading;
