import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface StepNavCircleNumberProps extends BaseProps<'span'> {
    /**
     * Use border prop to add or remove border from StepNavCircleNumber component.
     * Default prop border is true.
     *
     * @value true
     * @value false
     * @default true
     */
    border?: boolean;
}
/**
 * StepNavCircleNumber component is used for displaying the number of each step.
 * Use StepNavCircleNumber inside StepNavAccordionSummaryHeading.
 */
export declare const StepNavCircleNumber: React.ForwardRefExoticComponent<Omit<StepNavCircleNumberProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
export default StepNavCircleNumber;
