import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface SummaryListProps extends BaseProps<'dl'> {
    /**
     * border is optional.
     * By default, SummaryList has borders. You can remove borders by using border prop.
     * By default is true
     * @value true
     * @value false
     * @default true
     */
    border?: boolean;
    /**
     * noLastBorder is optional.
     * By default, SummaryList has borders. You can remove last border by using noLastBorder prop.
     * By default is true
     * @value true
     * @value false
     * @default false
     */
    noLastBorder?: boolean;
}
/**
 * SummaryList used as a table with summary information.
 * It must contain a list of SummaryListItem components.
 */
export declare const SummaryList: React.ForwardRefExoticComponent<Omit<SummaryListProps, "ref"> & React.RefAttributes<HTMLDListElement>>;
export default SummaryList;
