import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface SummaryListItemProps extends BaseProps<'div'> {
    /**
     *  border is optional.
     *  By default, SummaryListItem has borders. You can remove borders by using border prop.
     *  By default is true
     ** @value true
     * @value false
     * @default true
     */
    border?: boolean;
}
/**
 * SummaryListItem must be inside SummaryList component. Each SummaryListItem is a row in the SummaryList table.
 * This component must contain SummaryListItemKey, SummaryListItemValue and SummaryListItemAction, in that order.
 */
export declare const SummaryListItem: React.ForwardRefExoticComponent<Omit<SummaryListItemProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default SummaryListItem;
