import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface SummaryListItemKeyProps extends BaseProps<'dt'> {
    /**
     * sm shows the width of the key column for small screens.
     * @default 3
     */
    sm?: WidthValues;
    /**
     * md shows the width of the key column for medium screens.
     */
    md?: WidthValues;
    /**
     * lg shows the width of the key column for large screens.
     */
    lg?: WidthValues;
}
export type WidthValues = 3 | 4 | 5 | 6 | 7 | 8 | 9;
/**
 * SummaryListItemKey is used within the SummaryListItem component.
 * In this column we place the key information for the row (ex. "Name", "Address", etc).
 */
export declare const SummaryListItemKey: React.ForwardRefExoticComponent<Omit<SummaryListItemKeyProps, "ref"> & React.RefAttributes<HTMLElement>>;
export default SummaryListItemKey;
