import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const Table = React.forwardRef(
  function Table2({
    headerVariant,
    variant,
    dense = false,
    verticalBorders = false,
    stacked = "never",
    className,
    children,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "table",
        ref,
        className: clsx(className, {
          "ds-table": true,
          "ds-table--stacked-always": stacked === "always",
          "ds-table--stacked-sm": stacked === "sm",
          "ds-table--stacked-md": stacked == "md",
          "ds-table--dark": headerVariant === "dark",
          "ds-table--light": headerVariant === "light",
          "ds-table--dense": dense,
          "ds-table--zebra": variant === "zebra",
          "ds-table--vertical-lines": verticalBorders
        }),
        ...props
      },
      children
    );
  }
);
var Table_default = Table;
export {
  Table,
  Table_default as default
};
//# sourceMappingURL=index.js.map
