import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TableBodyProps extends BaseProps<'tbody'> {
    /**
     * verticalAlign is optional. Default value is 'middle'.
     * This prop set the vertical align of the body's content.
     * @value 'middle'
     * @value 'top'
     * @value 'bottom'
     * @default 'middle'
     */
    verticalAlign?: 'middle' | 'top' | 'bottom';
}
/**
 * Use TableBody inside the Table component to provide for the table data.
 */
export declare const TableBody: React.ForwardRefExoticComponent<Omit<TableBodyProps, "ref"> & React.RefAttributes<HTMLTableSectionElement>>;
export default TableBody;
