import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TableCaptionProps extends BaseProps<'caption'> {
    /**
     * size is optional.
     * The props are 'sm' for small, 'md' for medium, 'lg' for large and 'xl' for extra large .
     * Default value is 'md'.
     * @value 'sm'
     * @value 'md'
     * @value 'lg'
     * @value 'xl'
     * @default 'md'
     */
    size?: 'sm' | 'md' | 'lg' | 'xl';
}
/**
 * Table caption is used inside the Table component to provide a caption at the top of the table.
 */
export declare const TableCaption: React.ForwardRefExoticComponent<Omit<TableCaptionProps, "ref"> & React.RefAttributes<HTMLElement>>;
export default TableCaption;
