import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TableContainerProps extends BaseProps<'div'> {
    /**
     * border is optional. Set to true if you need a border for the Table.
     * @value true
     * @value false
     * @default false
     */
    border?: boolean;
}
/**
 * Use TableContainer as a wrapper for a Table. It is used when the table is wider that the viewport width.
 */
export declare const TableContainer: React.ForwardRefExoticComponent<Omit<TableContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default TableContainer;
