import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TableDataCellProps extends BaseProps<'td'> {
    /**
     * dataType is optional.
     * Use numeric value when comparing columns of numbers, align the numbers to the right in table cells
     * Default value is text which aligns texts to the center
     * @value 'text'
     * @value 'numeric'
     * @default 'text'
     */
    dataType?: 'text' | 'numeric';
}
/**
 * Use TableDataCell inside the Table component to fill the data of a cell in a table.
 */
export declare const TableDataCell: React.ForwardRefExoticComponent<Omit<TableDataCellProps, "ref"> & React.RefAttributes<HTMLTableCellElement>>;
export default TableDataCell;
