import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const TableHeadCell = React.forwardRef(function TableHeadCell2({ dataType = "text", width, className, children, ...props }, ref) {
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: "th",
      ref,
      className: clsx(className, {
        "ds-table__header": true,
        "ds-table__header--numeric": dataType === "numeric",
        "ds-!-width-one-quarter": width === "25%",
        "ds-!-width-one-third": width === "33.3%",
        "ds-!-width-one-half": width === "50%",
        "ds-!-width-two-thirds": width === "66.6%",
        "ds-!-width-three-quarters": width === "75%",
        "ds-!-width-full": width === "full" || width === "100%"
      }),
      ...props
    },
    children
  );
});
var TableHeadCell_default = TableHeadCell;
export {
  TableHeadCell,
  TableHeadCell_default as default
};
//# sourceMappingURL=index.js.map
