import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TabsProps extends BaseProps<'div'> {
    /**
     * dense is optional.
     * @value true Tabs will be dense.
     * @value false
     * @default false
     */
    dense?: boolean;
}
/**
 * Tabs is the main component for tabs.
 * This component must contain TabsHeading, TabsList, and a list of TabsPanel component.
 */
export declare const Tabs: React.ForwardRefExoticComponent<Omit<TabsProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default Tabs;
