import React from 'react';
import { HiddenProps } from '@digigov/react-core/Hidden';
export interface TabsHeadingProps extends HiddenProps {
    /**
     * size is optional.
     * The values are 'md' for medium and 'sm' for small.
     * Default value is 'sm'.
     * @value 'md'
     * @value 'sm'
     * @default 'sm'
     */
    size?: 'md' | 'sm';
}
/**
 * TabsHeading should be inside the Tabs component. This heading is hidden on desktop screens, but it is always useful for accessibility.
 */
export declare const TabsHeading: React.ForwardRefExoticComponent<Omit<TabsHeadingProps, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
export default TabsHeading;
