import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TabsListItemBaseProps extends BaseProps<'a'> {
    /**
     * open is optional.
     * Exaclty one TabsListItemBase should be open every time.
     * @value true declares that this tab is open.
     * @value false
     */
    open?: boolean;
}
/**
 * TabsListItemBase should be inside the TabsList.
 * In here we declare the title of the tab.
 */
export declare const TabsListItemBase: React.ForwardRefExoticComponent<Omit<TabsListItemBaseProps, "ref"> & React.RefAttributes<HTMLAnchorElement>>;
export default TabsListItemBase;
