import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TabsPanelBaseProps extends BaseProps<'div'> {
    /**
     * active is optional.
     * Exaclty one TabsPanelBase should be active every time.
     * This declares that this content is active and should depend of the 'selected' TabsList.
     * @value true
     * @value false
     */
    active?: boolean;
}
/**
 * TabsPanelBase is inside the Tabs component.
 * Every TabsListItem relates to a TabsPanelBase.
 */
export declare const TabsPanelBase: React.ForwardRefExoticComponent<Omit<TabsPanelBaseProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default TabsPanelBase;
