import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TaskListProps extends BaseProps<'ol'> {
    /**
     * dense is optional.
     * @value true TaskList will be dense.
     * @value false
     * @default false
     * */
    dense?: boolean;
}
/**
 * TaskList component is used for listing items.
 * This component must contain TaskListItem component.
 */
export declare const TaskList: React.ForwardRefExoticComponent<Omit<TaskListProps, "ref"> & React.RefAttributes<HTMLOListElement>>;
export default TaskList;
