import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TaskListItemTagProps extends BaseProps<'strong'> {
    /**
     * Set status to change the background color of the TaskListItemTag element.
    @value 'primary'
    @value 'secondary'
    @value 'info'
     */
    color?: 'primary' | 'secondary' | 'info';
}
/**
 * TaskListItemTag is used inside the TaskListItem component and it displays the status of the task (completed, not started yet, etc.)
 */
export declare const TaskListItemTag: React.ForwardRefExoticComponent<Omit<TaskListItemTagProps, "ref"> & React.RefAttributes<HTMLElement>>;
export default TaskListItemTag;
