import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TextAreaProps extends BaseProps<'textarea'> {
    /**
     * error is optional. The default value is false.
     * Use this prop when there is an error at the input.
     * @value true
     * @value false
     */
    error?: boolean;
    /**
     * dense is optional.
     * @value true TextArea will be dense.
     * @value false
     * @default false
     */
    dense?: boolean;
}
/**
 * Textarea component is used when you need to let users enter an
 * amount of text that’s longer than a single line.
 */
export declare const TextArea: React.ForwardRefExoticComponent<Omit<TextAreaProps, "ref"> & React.RefAttributes<HTMLTextAreaElement>>;
export default TextArea;
