import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const TextInput = React.forwardRef(
  function TextInput2({
    type = "text",
    maxWidth,
    width,
    error,
    dense,
    className,
    children,
    ...props
  }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "input",
        type,
        ref,
        className: clsx(className, {
          "ds-input": true,
          "ds-input--error": error,
          "ds-input--dense": dense,
          [`ds-input--width-${maxWidth}`]: maxWidth !== void 0,
          "ds-!-width-one-quarter": width === "25%",
          "ds-!-width-one-third": width === "33.3%",
          "ds-!-width-one-half": width === "50%",
          "ds-!-width-two-thirds": width === "66.6%",
          "ds-!-width-three-quarters": width === "75%"
        }),
        ...props
      },
      children
    );
  }
);
var index_web_default = TextInput;
export {
  TextInput,
  index_web_default as default
};
//# sourceMappingURL=index.web.js.map
