import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TimelineProps extends BaseProps<'ol'> {
    /**
     * dense is optional.
     * @value true Timeline will be dense.
     * @value false
     * @default true
     */
    dense?: boolean;
}
/**
 * Timeline component is used for listing items.
 * This component must contain TimelineItem component.
 */
export declare const Timeline: React.ForwardRefExoticComponent<Omit<TimelineProps, "ref"> & React.RefAttributes<HTMLOListElement>>;
export default Timeline;
