import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface TimelineHeadingProps extends BaseProps<'h2'> {
    /**
     * size is optional. 'lg' is the default value.
     * @value 'lg'
     * @value 'md'
     * @value 'sm'
     * @default 'lg'
     */
    size?: 'lg' | 'md' | 'sm';
    /**
     * element is optional. 'h2' is the default value.
     * @value 'h2'
     * @value 'h3'
     * @value 'h4'
     */
    element?: 'h2' | 'h3' | 'h4';
}
/**
 * TimelineHeading component is used to place a title in a Timeline component.
 * TimelineHeading component must be wraped inside Timeline component.
 */
export declare const TimelineHeading: React.ForwardRefExoticComponent<Omit<TimelineHeadingProps, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
export default TimelineHeading;
