import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
const getComponentBySize = (size) => {
  switch (size) {
    case "lg":
      return "h2";
    case "md":
      return "h3";
    case "sm":
      return "h4";
    default:
      return "h2";
  }
};
const TimelineHeading = React.forwardRef(function TimelineHeading2({ size = "lg", element, className, children, ...props }, ref) {
  const Component = element ? element : getComponentBySize(size);
  return /* @__PURE__ */ React.createElement(
    Base,
    {
      as: Component,
      ref,
      className: clsx(className, {
        "ds-timeline__heading": true,
        "ds-timeline__heading-md": size === "md",
        "ds-timeline__heading-sm": size === "sm"
      }),
      ...props
    },
    children
  );
});
var TimelineHeading_default = TimelineHeading;
export {
  TimelineHeading,
  TimelineHeading_default as default
};
//# sourceMappingURL=index.js.map
