import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface VisuallyHiddenProps extends BaseProps<'span'> {
}
/**
 * Details for the VisuallyHidden.
 * VisuallyHidden component provides text for screen readers that is visually hidden.
 */
export declare const VisuallyHidden: React.ForwardRefExoticComponent<Omit<VisuallyHiddenProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
export default VisuallyHidden;
