import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface WarningTextProps extends BaseProps<'div'> {
    /**
     * assistiveText is optional.
     * Default value is "Προσοχή".
     * assistiveText is used to provide a textual warning for assistive technologies like screen readers.
     */
    assistiveText?: string;
    /**
     * dense is optional.
     * @value true WarningText will be dense.
     * @value false
     * @default false
     * */
    dense?: boolean;
}
/**
 * WarningText.
 * Use the WarningText component when you need to warn users about something important.
 * The component is used with a text inside it.
 */
export declare const WarningText: React.ForwardRefExoticComponent<Omit<WarningTextProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default WarningText;
