import React from "react";
import clsx from "clsx";
import Base from "@digigov/react-core/Base";
import { WarningTextAssistive } from "@digigov/react-core/WarningTextAssistive";
const WarningText = React.forwardRef(
  function WarningText2({ className, assistiveText = "\u03A0\u03C1\u03BF\u03C3\u03BF\u03C7\u03AE", dense, children, ...props }, ref) {
    return /* @__PURE__ */ React.createElement(
      Base,
      {
        as: "div",
        ref,
        className: clsx(className, {
          "ds-warning-text": true,
          "ds-warning-text--dense": dense
        }),
        ...props
      },
      /* @__PURE__ */ React.createElement(
        Base,
        {
          as: "div",
          className: clsx({
            "ds-warning-text__icon": true
          })
        },
        "!"
      ),
      /* @__PURE__ */ React.createElement(
        Base,
        {
          as: "strong",
          className: clsx({
            "ds-warning-text__content": true
          })
        },
        /* @__PURE__ */ React.createElement(WarningTextAssistive, null, assistiveText),
        children
      )
    );
  }
);
var WarningText_default = WarningText;
export {
  WarningText,
  WarningText_default as default
};
//# sourceMappingURL=index.js.map
