import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
export interface WarningTextAssistiveProps extends BaseProps<'span'> {
    /**
     * assistiveText is optional.
     * Default value is "Προσοχή".
     * assistiveText is used to provide a textual warning for assistive technologies like screen readers.
     */
    assistiveText?: string;
}
/**
 * Use the WarningTextAssistive component when you need to warn users about something important.
 */
export declare const WarningTextAssistive: React.ForwardRefExoticComponent<Omit<WarningTextAssistiveProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
export default WarningTextAssistive;
