var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var StringInput_native_exports = {};
__export(StringInput_native_exports, {
  StringInput: () => StringInput
});
module.exports = __toCommonJS(StringInput_native_exports);
var import_react = __toESM(require("react"));
var import_react_native = require("react-native");
const StringInput = import_react.default.forwardRef(
  function StringInput2({
    "data-type": dataType,
    onChange,
    onBlur,
    onFocus,
    value,
    maxLength,
    multiline,
    rows,
    disabled,
    ...props
  }, ref) {
    const [currentValue, setValue] = import_react.default.useState(value);
    const keyboardType = (0, import_react.useMemo)(() => {
      switch (dataType) {
        case "afm":
          return "number-pad";
        case "phone_number":
          return "phone-pad";
        case "mobile_phone":
          return "phone-pad";
        case "postal_code":
          return "number-pad";
        case "int":
          return "numeric";
        case "email":
          return "email-address";
        default:
          return "default";
      }
    }, [dataType]);
    (0, import_react.useEffect)(() => {
      if (currentValue !== value) {
        handleChange();
      }
    }, [currentValue]);
    (0, import_react.useEffect)(() => {
      if (currentValue !== value) {
        setValue(value);
      }
    }, [value]);
    const handleChange = () => {
      if (onChange) {
        const syntheticEvent = {
          target: {
            value: currentValue
          }
        };
        onChange(syntheticEvent);
      }
    };
    const handleBlur = () => {
      if (onBlur) {
        const syntheticEvent = {
          target: {
            value: currentValue
          }
        };
        onBlur(syntheticEvent);
      }
    };
    const handleFocus = () => {
      if (onFocus) {
        const syntheticEvent = {
          target: {
            value: currentValue
          }
        };
        onFocus(syntheticEvent);
      }
    };
    return /* @__PURE__ */ import_react.default.createElement(
      import_react_native.TextInput,
      {
        ref,
        onChangeText: setValue,
        onBlur: handleBlur,
        onFocus: handleFocus,
        value: currentValue,
        multiline,
        rows,
        editable: !disabled,
        maxLength: Number(maxLength) || void 0,
        keyboardType,
        ...props
      }
    );
  }
);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  StringInput
});
//# sourceMappingURL=StringInput.native.js.map
