var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var index_native_exports = {};
__export(index_native_exports, {
  Base: () => Base,
  default: () => index_native_default
});
module.exports = __toCommonJS(index_native_exports);
var import_react = __toESM(require("react"));
var import_react_native = require("react-native");
var import_mapping = require("@digigov/react-core/Base/mapping.native");
var import_utils = require("@digigov/react-core/Base/utils");
var import_wrap = require("@digigov/react-core/Base/wrap.native");
const BooleanMapper = {
  true: true,
  false: false,
  undefined: false,
  null: false,
  "": false
};
const textHtmlTags = ["h1", "h2", "h3", "h4", "h5", "p", "span"];
const Base = import_react.default.forwardRef(function Base2({
  as,
  display,
  children,
  margin,
  marginTop,
  marginBottom,
  marginLeft,
  marginRight,
  m,
  mt,
  mb,
  ml,
  mr,
  mx,
  my,
  padding,
  paddingTop,
  paddingBottom,
  paddingLeft,
  paddingRight,
  p,
  pt,
  pb,
  pr,
  pl,
  px,
  py,
  printHidden,
  printVisible,
  hidden,
  xsUpHidden,
  smUpHidden,
  mdUpHidden,
  lgUpHidden,
  xlUpHidden,
  xsHidden,
  smHidden,
  mdHidden,
  lgHidden,
  xlHidden,
  className,
  "aria-expanded": ariaExpanded,
  ...props
}, ref) {
  const classNames = className?.split(" ") || [];
  let applyBasePropsToWrapper = true;
  const basePropToClassName = (0, import_utils.basePropGenerator)({
    display,
    margin,
    marginTop,
    marginBottom,
    marginLeft,
    marginRight,
    m,
    mt,
    mb,
    ml,
    mr,
    mx,
    my,
    padding,
    paddingTop,
    paddingBottom,
    paddingLeft,
    paddingRight,
    p,
    pt,
    pb,
    pr,
    pl,
    px,
    py,
    printHidden,
    printVisible,
    hidden,
    xsUpHidden,
    smUpHidden,
    mdUpHidden,
    lgUpHidden,
    xlUpHidden,
    xsHidden,
    smHidden,
    mdHidden,
    lgHidden,
    xlHidden
  });
  if (typeof children === "string") {
    children = [children];
  }
  if (Array.isArray(children)) {
    const textClassNames = classNames?.map((className2) => `${className2}__text`).join(" ");
    children = children.map((child, index) => {
      if (Array.isArray(child)) {
        return child.map((child2, index2) => {
          if (typeof child2 === "string") {
            return /* @__PURE__ */ import_react.default.createElement(import_react_native.Text, { key: index2, className: textClassNames }, child2);
          }
          return child2;
        });
      } else if (typeof child === "string") {
        if (as && textHtmlTags.includes(as)) {
          applyBasePropsToWrapper = false;
        }
        return /* @__PURE__ */ import_react.default.createElement(
          import_react_native.Text,
          {
            key: index,
            className: applyBasePropsToWrapper ? textClassNames : `${textClassNames} ${basePropToClassName}`,
            ...props.onClick && {
              onPress: props.onClick
            }
          },
          child
        );
      }
      return child;
    });
  }
  const Component = (0, import_react.useMemo)(() => {
    const C = import_mapping.mapping[as] || import_react_native.View;
    if (classNames.find(
      (className2) => className2.match(/__wrapper|__before|__after$/)
    )) {
      return (0, import_wrap.wrap)(C);
    }
    return C;
  }, [className]);
  Object.keys(props).forEach((k) => {
    if (k.startsWith("aria")) {
      if (BooleanMapper[props[k]] !== void 0) {
        props[k] = BooleanMapper[props[k]];
      }
    }
  });
  return /* @__PURE__ */ import_react.default.createElement(
    Component,
    {
      ...props,
      ref,
      "aria-expanded": ariaExpanded === "false" ? false : ariaExpanded === true ? true : void 0,
      className: applyBasePropsToWrapper ? `${basePropToClassName} ${className}` : className
    },
    children
  );
});
var index_native_default = Base;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Base
});
//# sourceMappingURL=index.native.js.map
