var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var utils_exports = {};
__export(utils_exports, {
  basePropGenerator: () => basePropGenerator
});
module.exports = __toCommonJS(utils_exports);
var import_clsx = __toESM(require("clsx"));
const generateSpacingClasses = (prefix, spacing) => {
  if (typeof spacing === "object") {
    return {
      [`${prefix}-xs-${spacing?.xs}`]: spacing?.xs !== void 0,
      [`${prefix}-sm-${spacing?.sm}`]: spacing?.sm !== void 0,
      [`${prefix}-md-${spacing?.md}`]: spacing?.md !== void 0,
      [`${prefix}-lg-${spacing?.lg}`]: spacing?.lg !== void 0,
      [`${prefix}-xl-${spacing?.xl}`]: spacing?.xl !== void 0
    };
  } else if (spacing !== void 0) {
    return {
      [`${prefix}-${spacing}`]: true
    };
  }
  return {};
};
const basePropGenerator = ({
  display,
  margin,
  marginTop,
  marginBottom,
  marginLeft,
  marginRight,
  m,
  mt,
  mb,
  ml,
  mr,
  mx,
  my,
  padding,
  paddingTop,
  paddingBottom,
  paddingLeft,
  paddingRight,
  p,
  pt,
  pb,
  pr,
  pl,
  px,
  py,
  printHidden,
  printVisible,
  hidden,
  xsUpHidden,
  smUpHidden,
  mdUpHidden,
  lgUpHidden,
  xlUpHidden,
  xsHidden,
  smHidden,
  mdHidden,
  lgHidden,
  xlHidden
}) => {
  return (0, import_clsx.default)({
    [`ds-display-${display}`]: display !== void 0,
    ...generateSpacingClasses("ds-m", m ?? margin),
    ...generateSpacingClasses("ds-mt", mt ?? marginTop),
    ...generateSpacingClasses("ds-mb", mb ?? marginBottom),
    ...generateSpacingClasses("ds-mr", mr ?? marginRight),
    ...generateSpacingClasses("ds-ml", ml ?? marginLeft),
    ...generateSpacingClasses("ds-mx", mx),
    ...generateSpacingClasses("ds-my", my),
    ...generateSpacingClasses("ds-p", p ?? padding),
    ...generateSpacingClasses("ds-pt", pt ?? paddingTop),
    ...generateSpacingClasses("ds-pb", pb ?? paddingBottom),
    ...generateSpacingClasses("ds-pr", pr ?? paddingRight),
    ...generateSpacingClasses("ds-pl", pl ?? paddingLeft),
    ...generateSpacingClasses("ds-px", px),
    ...generateSpacingClasses("ds-py", py),
    "ds-print-hidden": !!printHidden,
    "ds-print-visible-block": printVisible === "block",
    "ds-print-visible-inline": printVisible === "inline",
    "ds-hidden": !!hidden,
    "ds-hidden-xs-up": !!xsUpHidden,
    "ds-hidden-sm-up": !!smUpHidden,
    "ds-hidden-md-up": !!mdUpHidden,
    "ds-hidden-lg-up": !!lgUpHidden,
    "ds-hidden-xl-up": !!xlUpHidden,
    "ds-hidden-xs": !!xsHidden,
    "ds-hidden-sm": !!smHidden,
    "ds-hidden-md": !!mdHidden,
    "ds-hidden-lg": !!lgHidden,
    "ds-hidden-xl": !!xlHidden
  });
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  basePropGenerator
});
//# sourceMappingURL=utils.js.map
