import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AccordionControlsProps extends BaseProps<'div'> {}
/**
 * AccordionControls is a component that provides controls for an accordion.
 */
export const AccordionControls = React.forwardRef<
  HTMLDivElement,
  AccordionControlsProps
>(function AccordionControls({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, { 'ds-accordion__controls': true })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default AccordionControls;
