import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AccordionSectionContentProps extends BaseProps<'div'> {}
/**
 * AccordionSectionContent should be inside the AccordionSection and it is the content of the section.
 * The content is only visible when the AccordionSection is 'open'.
 */
export const AccordionSectionContent = React.forwardRef<
  HTMLDivElement,
  AccordionSectionContentProps
>(function AccordionSectionContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-accordion__section-content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default AccordionSectionContent;
