import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AccordionSectionSummaryProps extends BaseProps<'summary'> {}
/**
 * AccordionSectionSummary is used as a wrapper component for AccordionSectionSummaryHeading.
 */
export const AccordionSectionSummary = React.forwardRef<
  HTMLElement,
  AccordionSectionSummaryProps
>(function AccordionSectionSummary({ className, children, ...props }, ref) {
  return (
    <Base
      as="summary"
      ref={ref}
      className={clsx(className, {
        'ds-accordion__section-summary': true,
      })}
      role="heading"
      aria-level={2}
      {...props}
    >
      {children}
    </Base>
  );
});

export default AccordionSectionSummary;
