import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AccordionSectionSummaryHeadingProps extends BaseProps<'h2'> {}
/**
 * AccordionSectionSummaryHeading should be placed inside AccordionSectionSummary.
 */
export const AccordionSectionSummaryHeading = React.forwardRef<
  HTMLHeadingElement,
  AccordionSectionSummaryHeadingProps
>(function AccordionSectionSummaryHeading(
  { className, children, ...props },
  ref
) {
  return (
    <Base
      as="h2"
      ref={ref}
      className={clsx(className, {
        'ds-accordion__section-heading': true,
      })}
      {...props}
      role="button"
    >
      <span
        className={clsx({
          'ds-accordion__section-button': true,
        })}
      >
        {children}
      </span>
    </Base>
  );
});

export default AccordionSectionSummaryHeading;
