import React from 'react';
import clsx from 'clsx';
import Layout, { LayoutProps } from '@digigov/react-core/Layout';

export interface AdminLayoutProps extends LayoutProps {}
/**
 * AdminLayout is the  wrapper component for the entire page except for the header and the footer.
 */
export const AdminLayout = React.forwardRef<HTMLDivElement, AdminLayoutProps>(
  function AdminLayout({ className, children, ...props }, ref) {
    return (
      <Layout
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-admin-layout': true,
        })}
        {...props}
      >
        {children}
      </Layout>
    );
  }
);

export default AdminLayout;
