import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AutoCompleteAssistiveHintProps extends BaseProps<'span'> {}
/**
 * AutoCompleteAssistiveHint is a span element for displaying the autocomplete
 * assistive hint text.
 *
 */
export const AutoCompleteAssistiveHint = React.forwardRef<
  HTMLSpanElement,
  AutoCompleteAssistiveHintProps
>(function AutoCompleteAssistiveHint({ className, children, ...props }, ref) {
  return (
    <Base
      as="span"
      ref={ref}
      className={clsx(className, {
        'ds-autocomplete__assistive-hint': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default AutoCompleteAssistiveHint;
