import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AutoCompleteInputTypeaheadProps extends BaseProps<'input'> {}
/**
 * AutoCompleteInputTypeahead component is used to display the hole search value
 * in the background.
 *
 */
export const AutoCompleteInputTypeahead = React.forwardRef<
  HTMLInputElement,
  AutoCompleteInputTypeaheadProps
>(function AutoCompleteInputTypeahead({ className, ...props }, ref) {
  return (
    <span>
      <Base
        as="input"
        type="text"
        readOnly
        ref={ref}
        tabIndex={-1}
        className={clsx(className, {
          'ds-autocomplete__hint': true,
        })}
        {...props}
      />
    </span>
  );
});

export default AutoCompleteInputTypeahead;
