import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AutoCompleteStatusProps extends BaseProps<'div'> {}
/**
 * AutoCompleteStatus is a div element for displaying the autocomplete status.
 * Use AutoCompleteStatus inside AutoCompleteStatusContainer wrapper.
 */
export const AutoCompleteStatus = React.forwardRef<
  HTMLDivElement,
  AutoCompleteStatusProps
>(function AutoCompleteStatusContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-autocomplete__status': true,
      })}
      role="status"
      aria-atomic="true"
      aria-live="polite"
      {...props}
    >
      {children}
    </Base>
  );
});

export default AutoCompleteStatus;
