import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AutoCompleteStatusContainerProps extends BaseProps<'div'> {}
/**
 * AutoCompleteStatusContainer is a wrapper for autocomplete element.
 * Use AutoCompleteStatusContainer to wrap autocomplete elements.
 */
export const AutoCompleteStatusContainer = React.forwardRef<
  HTMLDivElement,
  AutoCompleteStatusContainerProps
>(function AutoCompleteStatusContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-autocomplete__status__container': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default AutoCompleteStatusContainer;
