import React from 'react';
import { Base, BaseProps } from '@digigov/react-core/Base';

export interface BackToTopLimitProps extends BaseProps<'div'> {}

/**
 * You can use this component to define the target of the Back To Top link.
 */
export const BackToTopLimit = React.forwardRef<
  HTMLDivElement,
  BackToTopLimitProps
>(function BackToTopLimit({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      id="back-to-top-limit"
      ref={ref}
      className={className}
      {...props}
    >
      {children}
    </Base>
  );
});

export default BackToTopLimit;
