import React from 'react';
import { View, Text } from 'react-native';

export const Ol = ({ children, className, ...props }) => {
  let listStyle = 'none';
  if (className.includes('ds-list--bullet')) {
    listStyle = 'bullet';
  }
  if (className.includes('ds-list--number')) {
    listStyle = 'number';
  }
  return (
    <View {...props} className={className}>
      {Array.isArray(children)
        ? children.map((child, index) => {
            const counter =
              listStyle === 'number'
                ? index + 1
                : listStyle === 'bullet'
                  ? '•'
                  : null;
            return (
              <View
                key={index}
                style={{
                  display: 'flex',
                  flexDirection: 'row',
                  flexWrap: 'nowrap',
                  gap: 8,
                  width: '100%',
                }}
              >
                <Text>{counter}</Text>
                {child}
              </View>
            );
          })
        : children}
    </View>
  );
};
