import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface BottomProps extends BaseProps<'div'> {}
/**
 * Bottom is used inside the Layout component and it must be the last component in order.
 */
export const Bottom = React.forwardRef<HTMLDivElement, BottomProps>(
  function Bottom({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-bottom': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default Bottom;
