import React from 'react';
import clsx from 'clsx';
import Container, { ContainerProps } from '@digigov/react-core/Container';

export interface BottomInfoProps extends ContainerProps {}
/**
 * Bottom BottomInfo is used inside the Bottom component and it must be the first component in order.
 */
export const BottomInfo = React.forwardRef<HTMLDivElement, BottomInfoProps>(
  function BottomInfo({ className, children, ...props }, ref) {
    return (
      <Container
        ref={ref}
        className={clsx(className, {
          'ds-bottom-info': true,
        })}
        {...props}
      >
        {children}
      </Container>
    );
  }
);

export default BottomInfo;
