import React from 'react';
import clsx from 'clsx';
import Container, { ContainerProps } from '@digigov/react-core/Container';

export interface BottomInfoContainerProps extends ContainerProps {}
/**
 * Bottom BottomInfoContainer is used inside the Bottom component and it must be the first component in order.
 */
export const BottomInfoContainer = React.forwardRef<
  HTMLDivElement,
  BottomInfoContainerProps
>(function BottomInfoContainer({ className, children, ...props }, ref) {
  return (
    <Container
      ref={ref}
      className={clsx(className, {
        'ds-bottom-info__container': true,
      })}
      {...props}
    >
      {children}
    </Container>
  );
});

export default BottomInfoContainer;
