import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface BreadcrumbsListProps extends BaseProps<'ol'> {}
/**
 * BreadcrumbsList is used for providing the items inside Breadcrumbs.
 */
export const BreadcrumbsList = React.forwardRef<
  HTMLOListElement,
  BreadcrumbsListProps
>(function BreadcrumbsList({ className, children, ...props }, ref) {
  return (
    <Base
      as="ol"
      ref={ref}
      className={clsx(className, {
        'ds-breadcrumbs__list': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default BreadcrumbsList;
