import React from 'react';
import { render } from '@testing-library/react';

import ButtonLink from '@digigov/react-core/ButtonLink';

it('renders the ButtonLink with no props', () => {
  expect(render(<ButtonLink>hello</ButtonLink>).baseElement).toMatchSnapshot();
});
it('renders the ButtonLink with color=primary', () => {
  expect(
    render(<ButtonLink color={'primary'}>hello</ButtonLink>).baseElement
  ).toMatchSnapshot();
});
it('renders the ButtonLink with color=secondary', () => {
  expect(
    render(<ButtonLink color={'secondary'}>hello</ButtonLink>).baseElement
  ).toMatchSnapshot();
});
it('renders the ButtonLink with color=warning', () => {
  expect(
    render(<ButtonLink color={'warning'}>hello</ButtonLink>).baseElement
  ).toMatchSnapshot();
});
it('renders the ButtonLink with href=#', () => {
  expect(
    render(<ButtonLink href={'#'}>hello</ButtonLink>).baseElement
  ).toMatchSnapshot();
});
it('renders the ButtonLink with disabled=false', () => {
  expect(render(<ButtonLink>hello</ButtonLink>).baseElement).toMatchSnapshot();
});
it('renders the ButtonLink with color=primary with href=#', () => {
  expect(
    render(
      <ButtonLink href={'#'} color={'primary'}>
        hello
      </ButtonLink>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the ButtonLink with color=secondary with href=#', () => {
  expect(
    render(
      <ButtonLink href={'#'} color={'secondary'}>
        hello
      </ButtonLink>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the ButtonLink with color=warning with href=#', () => {
  expect(
    render(
      <ButtonLink href={'#'} color={'warning'}>
        hello
      </ButtonLink>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the ButtonLink with ariaLabel prop', () => {
  expect(
    render(<ButtonLink aria-label="button for opening menu">Menu</ButtonLink>)
      .baseElement
  ).toMatchSnapshot();
});
it('renders the Button with tabIndex prop', () => {
  expect(
    render(<ButtonLink tabIndex={0}>Menu</ButtonLink>).baseElement
  ).toMatchSnapshot();
});
