import React from 'react';
import clsx from 'clsx';
import ButtonLink, { ButtonLinkProps } from '@digigov/react-core/ButtonLink';
import { ChevronIcon } from '@digigov/react-icons';

export interface CallToActionProps extends ButtonLinkProps {}
/**
 * Use this button for the main call to action on your service’s start page.
 */
export const CallToAction = React.forwardRef<
  HTMLAnchorElement,
  CallToActionProps
>(function CallToAction(
  { printHidden = true, className, children, ...props },
  ref
) {
  return (
    <ButtonLink
      ref={ref}
      printHidden={printHidden}
      className={clsx(className, {
        'ds-btn-cta': true,
      })}
      {...props}
    >
      {children}
      <ChevronIcon className="ds-btn-cta__icon" />
    </ButtonLink>
  );
});

export default CallToAction;
