import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface CardActionProps extends BaseProps<'div'> {}
/**
 * CardAction contains the action behavior for Card Component.
 * We can use links, Buttons or ButtonGroup with max of two buttons
 * Use CardAction inside Card component as childern
 */
export const CardAction = React.forwardRef<HTMLDivElement, CardActionProps>(
  function CardAction({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-card__action': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default CardAction;
