import React from 'react';
import { render } from '@testing-library/react';

import CircularProgress from '@digigov/react-core/CircularProgress';

it('renders the CircularProgress', () => {
  expect(render(<CircularProgress />).baseElement).toMatchSnapshot();
});

it('renders the CircularProgress with size sm', () => {
  expect(render(<CircularProgress size="sm" />).baseElement).toMatchSnapshot();
});

it('renders the CircularProgress with size lg', () => {
  expect(render(<CircularProgress size="lg" />).baseElement).toMatchSnapshot();
});

it('renders the CircularProgress with color=secondary prop', () => {
  expect(
    render(<CircularProgress color={'secondary'} />).baseElement
  ).toMatchSnapshot();
});

it('renders the CircularProgress with color=secondary and size sm props', () => {
  expect(
    render(<CircularProgress color={'secondary'} size="sm" />).baseElement
  ).toMatchSnapshot();
});

it('renders the CircularProgress with color=secondary and size lg props', () => {
  expect(
    render(<CircularProgress color={'secondary'} size="lg" />).baseElement
  ).toMatchSnapshot();
});
