import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface CodeBlockContainerProps extends BaseProps<'div'> {}
/**
 * CodeBlockContainer is a component for displaying code.
 *
 */
export const CodeBlockContainer = React.forwardRef<
  HTMLDivElement,
  CodeBlockContainerProps
>(function CodeBlockContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-code-block__container': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default CodeBlockContainer;
