import clsx from 'clsx';
import { CopyToClipboardContainerProps } from '@digigov/react-core/CopyToClipboardContainer';
import CoreCopyToClipboardMessage, {
  CopyToClipboardMessageProps,
} from '@digigov/react-core/CopyToClipboardMessage/index.web';
import { extend } from '@digigov/react-core/utils/extend.native';

export const CopyToClipboardMessage = extend<
  CopyToClipboardMessageProps,
  CopyToClipboardContainerProps
>(CoreCopyToClipboardMessage, ({ dense, className, ...props }) => {
  return {
    className: clsx(className, {
      'ds-copy-to-clipboard__before': true,
      'ds-copy-to-clipboard__message--dense': dense,
    }),
    ...props,
  };
});

export default CopyToClipboardMessage;
