import React from 'react';
import { render } from '@testing-library/react';

import Drawer from '@digigov/react-core/Drawer';

import { Heading } from '@digigov/react-core/Heading';
import { List } from '@digigov/react-core/List';
import { ListItem } from '@digigov/react-core/ListItem';
import { CloseIcon } from '@digigov/react-icons';

it('renders the Drawer with `open=true` `left=true` props', () => {
  expect(
    render(
      <>
        <Drawer direction="left" open={true}>
          <div>
            <Heading>Menu</Heading>
            <CloseIcon className="ds--drawer__close-icon" />
          </div>

          <List>
            <ListItem>Menu option 1</ListItem>
            <ListItem>Menu option 2</ListItem>
          </List>
        </Drawer>
      </>
    ).baseElement
  ).toMatchSnapshot();
});
