import React from 'react';
import { render } from '@testing-library/react';

import DropdownButton from '@digigov/react-core/DropdownButton';

it('renders the DropdownButton with no props', () => {
  expect(
    render(<DropdownButton>hello</DropdownButton>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary', () => {
  expect(
    render(<DropdownButton color="primary">hello</DropdownButton>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=secondary', () => {
  expect(
    render(<DropdownButton color="secondary">hello</DropdownButton>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with variant=button', () => {
  expect(
    render(<DropdownButton variant="button">hello</DropdownButton>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with variant=link', () => {
  expect(
    render(<DropdownButton variant="link">hello</DropdownButton>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with arrow=false', () => {
  expect(
    render(<DropdownButton arrow={false}>hello</DropdownButton>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with arrow=true', () => {
  expect(
    render(<DropdownButton arrow={true}>hello</DropdownButton>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary and variant="button"', () => {
  expect(
    render(
      <DropdownButton color="primary" variant="button">
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary and variant="link"', () => {
  expect(
    render(
      <DropdownButton color="primary" variant="link">
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary and arrow={false}', () => {
  expect(
    render(
      <DropdownButton color="primary" arrow={false}>
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary and arrow={true}', () => {
  expect(
    render(<DropdownButton color="primary" arrow={true}></DropdownButton>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=secondary and variant="button"', () => {
  expect(
    render(
      <DropdownButton color="secondary" variant="button">
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=secondary and variant="link"', () => {
  expect(
    render(
      <DropdownButton color="secondary" variant="link">
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=secondary and arrow={false}', () => {
  expect(
    render(
      <DropdownButton color="secondary" arrow={false}>
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=secondary and arrow={true}', () => {
  expect(
    render(<DropdownButton color="secondary" arrow={true}></DropdownButton>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary variant="button" and arrow={false}', () => {
  expect(
    render(
      <DropdownButton color="primary" variant="button" arrow={false}>
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary variant="button" arrow={true}', () => {
  expect(
    render(
      <DropdownButton
        color="primary"
        variant="button"
        arrow={true}
      ></DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary variant="link" arrow={true}', () => {
  expect(
    render(
      <DropdownButton
        color="primary"
        variant="link"
        arrow={true}
      ></DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=primary variant="link" arrow={false}', () => {
  expect(
    render(
      <DropdownButton color="primary" variant="link" arrow={false}>
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=warning variant="button" arrow={false}', () => {
  expect(
    render(
      <DropdownButton color="warning" variant="link" arrow={false}>
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownButton with color=warning variant="button" arrow={true}', () => {
  expect(
    render(
      <DropdownButton color="warning" variant="link" arrow={true}>
        hello
      </DropdownButton>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with tabIndex prop', () => {
  expect(
    render(<DropdownButton tabIndex={0}>Menu</DropdownButton>).baseElement
  ).toMatchSnapshot();
});
