import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FilterContentProps extends BaseProps<'div'> {}
/**
 * Use FilterContent inside FilterContainer as a wrapper for its content
 */
export const FilterContent = React.forwardRef<
  HTMLDivElement,
  FilterContentProps
>(function FilterContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-filter__content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FilterContent;
