import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FilterOptionsSectionProps extends BaseProps<'div'> {
  /**
   * @value true
   * @value false
   */
  horizontal?: boolean;
}
/**
 * FilterOptionsSection is a wrapper component for the filter elements.
 */
export const FilterOptionsSection = React.forwardRef<
  HTMLDivElement,
  FilterOptionsSectionProps
>(function FilterOptionsSection(
  { className, children, horizontal, ...props },
  ref
) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-filter__options': true,
        'ds-filter__options--horizontal': horizontal,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FilterOptionsSection;
