import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FilterSelectedSectionProps extends BaseProps<'div'> {}
/**
 * FilterSelectedSection is a wrapper for the area of the selected filters
 */
export const FilterSelectedSection = React.forwardRef<
  HTMLDivElement,
  FilterSelectedSectionProps
>(function FilterSelectedSection({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-filter__selected': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FilterSelectedSection;
