import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterContentProps extends BaseProps<'div'> {}
/**
 * FooterContent is used inside the FooterInfoSection.
 * In this component, we place the basic content of the footer (ex. Copyright, extra logos, inline list).
 */
export const FooterContent = React.forwardRef<
  HTMLDivElement,
  FooterContentProps
>(function FooterContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-footer__content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FooterContent;
