import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterContentLogosProps extends BaseProps<'div'> {}
/**
 * FooterContentLogos is placed in the footer, inside the FooterContent ccomponent, above the Copyright.
 * It is a wrapper for extra logos.
 * It has no props.
 */
export const FooterContentLogos = React.forwardRef<
  HTMLDivElement,
  FooterContentLogosProps
>(function FooterContentLogos({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-footer__content__logos': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FooterContentLogos;
