import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterLinkProps extends BaseProps<'a'> {}
/**
 * FooterLink in used inside the Footer component.
 */
export const FooterLink = React.forwardRef<HTMLAnchorElement, FooterLinkProps>(
  function FooterLink({ className, children, ...props }, ref) {
    return (
      <Base
        as="a"
        ref={ref}
        className={clsx(className, {
          'ds-footer__link': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default FooterLink;
