import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterListItemProps extends BaseProps<'li'> {}
/**
 * FooterListItem must be inside the FooterList component.
 * This component has no props.
 */
export const FooterListItem = React.forwardRef<
  HTMLLIElement,
  FooterListItemProps
>(function FooterListItem({ className, children, ...props }, ref) {
  return (
    <Base
      as="li"
      ref={ref}
      className={clsx(className, {
        'ds-footer__list-item': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FooterListItem;
