import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterNavigationSectionProps extends BaseProps<'section'> {}
/**
 * FooterNavigationSection must be inside the FooterNavigation.
 * Inside this component should be placed the FooterHeading (optional) and the FooterList.
 * This component has no props.
 */
export const FooterNavigationSection = React.forwardRef<
  HTMLDivElement,
  FooterNavigationSectionProps
>(function FooterNavigationSection({ className, children, ...props }, ref) {
  return (
    <Base
      as="section"
      ref={ref}
      className={clsx(className, {
        'ds-footer__navigation-section': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FooterNavigationSection;
