import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FullPageBackgroundProps extends BaseProps<'div'> {}
/**
 * Use FullPageBackground component in order to add a grey background color with opacity.
 * FullPageBackground is the parent component and takes as children the LoaderContainer component.
 */
export const FullPageBackground = React.forwardRef<
  HTMLDivElement,
  FullPageBackgroundProps
>(function FullPageBackground({ children, className, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-full-page-background': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FullPageBackground;
