import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';
import logo from '@digigov/react-core/GovGRLogo/govgr-logo-base64';
import logoInverted from '@digigov/react-core/GovGRLogo/govgr-logo-blue-base64';
export interface GovGRLogoProps extends BaseProps<'a'> {}
/**
 * Use this component anywhere you what to provide the gov.gr logo.
 *  */
export const GovGRLogo = React.forwardRef<HTMLAnchorElement, GovGRLogoProps>(
  function GovGRLogo(
    { href = 'https://www.gov.gr/', className, ...props },
    ref
  ) {
    return (
      <Base
        as="a"
        href={href}
        ref={ref}
        className={clsx(className, { 'ds-header__link': true })}
        {...props}
      >
        <img
          src={logo}
          className={clsx(className, {
            'ds-header__logo': true,
          })}
          alt="gov.gr logo"
        />
        <img
          src={logoInverted}
          className={clsx(className, {
            'ds-header__logo-inverted': true,
          })}
          alt="gov.gr logo"
        />
      </Base>
    );
  }
);

export default GovGRLogo;
