import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface HeaderProps extends BaseProps<'header'> {}
/**
 * Header represents a container for govgr header information.
 * This elements is placed at the top of the page
 */
export const Header = React.forwardRef<HTMLElement, HeaderProps>(
  function Header({ className, children, ...props }, ref) {
    return (
      <Base
        as="header"
        role="banner"
        data-module="ds-header"
        ref={ref}
        className={clsx(className, {
          'ds-header': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default Header;
