import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface HeaderContentProps extends BaseProps<'div'> {}
/**
 * HeaderContent is used inside HeaderSection as a wrapper for the header items(eg HeaderTitle, HeaderLogo etc)
 */
export const HeaderContent = React.forwardRef<
  HTMLDivElement,
  HeaderContentProps
>(function HeaderContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-header__content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default HeaderContent;
