import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface HeaderSectionProps extends BaseProps<'div'> {}
/**
 * HeaderSection is used inside Header component as a container for its items.
 */
export const HeaderSection = React.forwardRef<
  HTMLDivElement,
  HeaderSectionProps
>(function HeaderSection({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-header__section': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default HeaderSection;
