import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface HeaderTitleProps extends BaseProps<'a'> {}
/**
 * Use this component inside HeaderContent to provide a title to the header.
 */
export const HeaderTitle = React.forwardRef<
  HTMLAnchorElement,
  HeaderTitleProps
>(function HeaderTitle({ href = '/', className, children, ...props }, ref) {
  return (
    <Base
      as="a"
      ref={ref}
      href={href}
      className={clsx(className, {
        'ds-header__title': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default HeaderTitle;
