import React from 'react';
import { render } from '@testing-library/react';

import Heading from '@digigov/react-core/Heading';

it('renders the Heading with no props', () => {
  expect(render(<Heading>hello</Heading>).baseElement).toMatchSnapshot();
});

it('renders the Heading with size=xl', () => {
  expect(
    render(<Heading size={'xl'}>hello</Heading>).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=lg', () => {
  expect(
    render(<Heading size={'lg'}>hello</Heading>).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=md', () => {
  expect(
    render(<Heading size={'md'}>hello</Heading>).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=sm', () => {
  expect(
    render(<Heading size={'sm'}>hello</Heading>).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=xs', () => {
  expect(
    render(<Heading size={'xs'}>hello</Heading>).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=s and element h2', () => {
  expect(
    render(
      <Heading size={'sm'} element="h2">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=s and element h3', () => {
  expect(
    render(
      <Heading size={'sm'} element="h3">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=s and element h4', () => {
  expect(
    render(
      <Heading size={'sm'} element="h4">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=m and element h2', () => {
  expect(
    render(
      <Heading size={'md'} element="h2">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=m and element h3', () => {
  expect(
    render(
      <Heading size={'md'} element="h3">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=m and element h4', () => {
  expect(
    render(
      <Heading size={'md'} element="h4">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=l and element h2', () => {
  expect(
    render(
      <Heading size={'lg'} element="h2">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=l and element h3', () => {
  expect(
    render(
      <Heading size={'lg'} element="h3">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=l and element h4', () => {
  expect(
    render(
      <Heading size={'lg'} element="h4">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=xl and element h2', () => {
  expect(
    render(
      <Heading size={'xl'} element="h2">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=xl and element h3', () => {
  expect(
    render(
      <Heading size={'xl'} element="h3">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=xl and element h4', () => {
  expect(
    render(
      <Heading size={'xl'} element="h4">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Heading with size=xs and element h4', () => {
  expect(
    render(
      <Heading size={'xs'} element="h4">
        hello
      </Heading>
    ).baseElement
  ).toMatchSnapshot();
});
