import React from 'react';
import clsx from 'clsx';
import { Base, BaseProps } from '@digigov/react-core/Base';

export interface KitchenSinkAllComponentsProps extends BaseProps<'div'> {}

export const KitchenSinkAllComponents = React.forwardRef<
  HTMLDivElement,
  KitchenSinkAllComponentsProps
>(function KitchenSinkAllComponents({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-kitchensink-all-components': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});
