import React from 'react';
import clsx from 'clsx';
import Card, { CardProps } from '@digigov/react-core/Card';

export interface KitchenSinkCardProps extends CardProps {}

export const KitchenSinkCard = React.forwardRef<
  HTMLDivElement,
  KitchenSinkCardProps
>(function KitchenSinkCard({ className, children, ...props }, ref) {
  return (
    <Card
      variant="border"
      borderColor="light"
      className={clsx(className, {
        'ds-kitchensink-card': true,
      })}
      ref={ref}
      {...props}
    >
      {children}
    </Card>
  );
});
