import React from 'react';
import clsx from 'clsx';
import Heading, { HeadingProps } from '@digigov/react-core/Heading';

export interface KitchenSinkHeadingProps extends HeadingProps {}

export const KitchenSinkHeading = React.forwardRef<
  HTMLHeadingElement,
  KitchenSinkHeadingProps
>(function KitchenSinkHeading({ className, children, ...props }, ref) {
  return (
    <Heading
      className={clsx(className, {
        'ds-kitchensink-category__heading': true,
      })}
      ref={ref}
      {...props}
    >
      {children}
    </Heading>
  );
});
