import React from 'react';
import { render } from '@testing-library/react';

import LabelTitle from '@digigov/react-core/LabelTitle';

it('renders the LabelTitle with no props', () => {
  expect(render(<LabelTitle>hello</LabelTitle>).baseElement).toMatchSnapshot();
});

it('renders the Label with heading prop', () => {
  expect(
    render(<LabelTitle heading>hello</LabelTitle>).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with size s prop', () => {
  expect(
    render(<LabelTitle size="sm">hello</LabelTitle>).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with size m prop', () => {
  expect(
    render(<LabelTitle size="md">hello</LabelTitle>).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with size l prop', () => {
  expect(
    render(<LabelTitle size="lg">hello</LabelTitle>).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with size xl prop', () => {
  expect(
    render(<LabelTitle size="xl">hello</LabelTitle>).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with heading and size s props', () => {
  expect(
    render(
      <LabelTitle heading size="sm">
        hello
      </LabelTitle>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with heading  and size m props', () => {
  expect(
    render(
      <LabelTitle heading size="md">
        hello
      </LabelTitle>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with heading  and size l props', () => {
  expect(
    render(
      <LabelTitle heading size="lg">
        hello
      </LabelTitle>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Label with heading  and size xl props', () => {
  expect(
    render(
      <LabelTitle heading size="xl">
        hello
      </LabelTitle>
    ).baseElement
  ).toMatchSnapshot();
});
