import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface LoaderContainerProps extends BaseProps<'div'> {}
/**
 * LoaderContainer contains the svg icon that is being displayed in the page and works as a loading indicator.
 */
export const LoaderContainer = React.forwardRef<
  HTMLDivElement,
  LoaderContainerProps
>(function LoaderContainer({ children, className, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-loader': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default LoaderContainer;
