import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface MastheadBodyProps extends BaseProps<'p'> {}
/**
 * Use the MastheadBody inside Masthead an you can wrap your content inside Main component.
 */
export const MastheadBody = React.forwardRef<
  HTMLParagraphElement,
  MastheadBodyProps
>(function MastheadBody({ className, children, ...props }, ref) {
  return (
    <Base
      as="p"
      ref={ref}
      className={clsx(className, {
        'ds-masthead__body': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default MastheadBody;
