import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface MastheadLogoProps extends BaseProps<'img'> {}
/**
 * MastheadLogo is a component for logos and images in the masthead.
 * It is used inside to Masthead.
 *
 */
export const MastheadLogo = React.forwardRef<
  HTMLImageElement,
  MastheadLogoProps
>(function MastheadLogo(
  { className, children, alt = 'masthead logo', ...props },
  ref
) {
  return (
    <Base
      as="img"
      ref={ref}
      className={clsx(className, {
        'ds-masthead__logo': true,
      })}
      {...props}
      alt={alt}
    >
      {children}
    </Base>
  );
});

export default MastheadLogo;
