import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ModalActionProps extends BaseProps<'div'> {}
/**
 * ModelAction contains the action behavior for Modal Component.
 * We can use links, Buttons or ButtonGroup with max of two buttons
 * Use ModalAction inside Modal component as childern
 */
export const ModalAction = React.forwardRef<HTMLDivElement, ModalActionProps>(
  function ModalAction({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-modal__action': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default ModalAction;
