import React from 'react';
import { render } from '@testing-library/react';

import Nav from '@digigov/react-core/Nav';

it('renders the Nav with no props', () => {
  expect(render(<Nav>hello</Nav>).baseElement).toMatchSnapshot();
});

it('renders the Nav with open prop', () => {
  expect(render(<Nav open>hello</Nav>).baseElement).toMatchSnapshot();
});
it('renders the Nav with border prop', () => {
  expect(render(<Nav border>hello</Nav>).baseElement).toMatchSnapshot();
});
it('renders the Nav with drawer="never" prop', () => {
  expect(render(<Nav drawer="never">hello</Nav>).baseElement).toMatchSnapshot();
});
it('renders the Nav with drawer="mdDown" prop', () => {
  expect(
    render(<Nav drawer="mdDown">hello</Nav>).baseElement
  ).toMatchSnapshot();
});
it('renders the Nav with drawer="always" prop', () => {
  expect(
    render(<Nav drawer="always">hello</Nav>).baseElement
  ).toMatchSnapshot();
});
it('renders the Nav with drawer="always", border and open props', () => {
  expect(
    render(
      <Nav open border drawer="always">
        hello
      </Nav>
    ).baseElement
  ).toMatchSnapshot();
});
