import React from 'react';
import clsx from 'clsx';
import Grid, { GridProps } from '@digigov/react-core/Grid';

export interface NavMenuContentProps extends GridProps {}
/**
 *
 * NavMenuContent is the content menu component.
 * Inside this component must be NavMenuContentList and NavMenuContentListLink components.
 */
export const NavMenuContent = React.forwardRef<
  HTMLDivElement,
  NavMenuContentProps
>(function NavMenuContent({ className, children, ...props }, ref) {
  return (
    <Grid
      item
      xs={12}
      sm={8}
      spacing={2}
      ref={ref}
      className={clsx(className, {
        'ds-nav-menu__content': true,
      })}
      {...props}
    >
      {children}
    </Grid>
  );
});

export default NavMenuContent;
