import clsx from 'clsx';
import CoreNotificationBannerLink, {
  NotificationBannerLinkProps,
} from '@digigov/react-core/NotificationBannerLink/index.web';
import { extend } from '@digigov/react-core/utils/extend.native';

interface AdditionalProps {
  variant?: 'error' | 'success';
}

export const NotificationBannerLink = extend<
  NotificationBannerLinkProps,
  AdditionalProps
>(CoreNotificationBannerLink, ({ variant, className, ...props }) => ({
  className: clsx(className, {
    'ds-notification-banner__link--error': variant === 'error',
    'ds-notification-banner__link--success': variant === 'success',
  }),
  ...props,
}));

export default NotificationBannerLink;
