import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PaginationLabelContainerProps extends BaseProps<'p'> {}
/**
 * PaginatiolLabel component is used for placing the pagination label.
 */
export const PaginationLabelContainer = React.forwardRef<
  HTMLParagraphElement,
  PaginationLabelContainerProps
>(function PaginationLabelContainer({ children, className, ...props }, ref) {
  return (
    <Base
      as="p"
      ref={ref}
      className={clsx(className, {
        'ds-pagination__label': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default PaginationLabelContainer;
