import React from 'react';
import { BaseProps } from '@digigov/react-core/Base';
import NormalText, { NormalTextProps } from '@digigov/react-core/NormalText';

export interface ParagraphProps
  extends Pick<NormalTextProps, 'size' | 'fontSize' | 'fontWeight'>,
    BaseProps<'p'> {}
/**
 * Paragraph component is used for text formatting.
 */
export const Paragraph = React.forwardRef<HTMLParagraphElement, ParagraphProps>(
  function Paragraph({ children, ...props }, ref) {
    return (
      <NormalText as="p" ref={ref} {...props}>
        {children}
      </NormalText>
    );
  }
);

export default Paragraph;
