import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PhaseBannerHeaderContainerProps extends BaseProps<'div'> {}

export const PhaseBannerHeaderContainer = React.forwardRef<
  HTMLDivElement,
  PhaseBannerHeaderContainerProps
>(function PhaseBannerHeaderContainer({ children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      {...props}
      className={clsx({
        'ds-phase-banner-header': true,
      })}
    >
      {children}
    </Base>
  );
});

export default PhaseBannerHeaderContainer;
