import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PhaseBannerTextProps extends BaseProps<'span'> {}
/**
 * PhaseBannerText is used inside the PhaseBanner component.
 * It requires a text with more details about the phase of the service (ex. "This is a new service").
 * This components is optional
 */
export const PhaseBannerText = React.forwardRef<
  HTMLSpanElement,
  PhaseBannerTextProps
>(function PhaseBannerText({ className, children, ...props }, ref) {
  return (
    <Base
      as="span"
      ref={ref}
      className={clsx(className, {
        'ds-phase-banner__message': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default PhaseBannerText;
