import React from 'react';
import { render } from '@testing-library/react';

import RadioItem from '@digigov/react-core/RadioItem';

it('renders the RadioItem with no props', () => {
  expect(render(<RadioItem>hello</RadioItem>).baseElement).toMatchSnapshot();
});

it('renders the RadioItem with name  props', () => {
  expect(
    render(<RadioItem name={'name'}>hello</RadioItem>).baseElement
  ).toMatchSnapshot();
});

it('renders the RadioItem  value props', () => {
  expect(
    render(<RadioItem value={'someValue'}>hello</RadioItem>).baseElement
  ).toMatchSnapshot();
});

it('renders the RadioItem  `dividerText` props', () => {
  expect(
    render(<RadioItem dividerText={'ή'}>hello</RadioItem>).baseElement
  ).toMatchSnapshot();
});

it('renders the RadioItem with name and value props', () => {
  expect(
    render(
      <RadioItem name={'name'} value={'someValue'}>
        hello
      </RadioItem>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the RadioItem with disabled prop', () => {
  expect(
    render(<RadioItem disabled>hello</RadioItem>).baseElement
  ).toMatchSnapshot();
});

it('renders the RadioItem with name disabled and value props', () => {
  expect(
    render(
      <RadioItem name={'name'} value={'someValue'} disabled>
        hello
      </RadioItem>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the RadioItem with `name`, `disabled`, `dividerText` and `value` props', () => {
  expect(
    render(
      <RadioItem name={'name'} value={'someValue'} dividerText={'ή'} disabled>
        hello
      </RadioItem>
    ).baseElement
  ).toMatchSnapshot();
});
