import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ResultsHeadingActionsProps extends BaseProps<'div'> {}
/**
 * Use ResultsHeadingActions component to wrap result actions.
 * ResultsHeadingActions component inside ResultsHeading component.
 */
export const ResultsHeadingActions = React.forwardRef<
  HTMLDivElement,
  ResultsHeadingActionsProps
>(function ResultsHeadingActions({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-results__actions': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default ResultsHeadingActions;
