import React from 'react';
import clsx from 'clsx';
import Button, { ButtonProps } from '@digigov/react-core/Button';
import { SearchIcon } from '@digigov/react-icons';

export interface SearchButtonProps extends ButtonProps {}
/**
 * Use the SearchButton component to help users carry out a search action.
 * SearchButton component must be used inside SearchContainer component.
 */
export const SearchButton = React.forwardRef<
  HTMLButtonElement,
  SearchButtonProps
>(function SearchButton({ className, children, ...props }, ref) {
  return (
    <Button
      ref={ref}
      className={clsx(className, {
        'ds-input__search-btn': true,
      })}
      {...props}
    >
      <SearchIcon />
      {children}
    </Button>
  );
});

export default SearchButton;
