import React from 'react';
import { render } from '@testing-library/react';

import SectionBreak from '@digigov/react-core/SectionBreak';

it('renders the SectionBreak with no props', () => {
  expect(render(<SectionBreak />).baseElement).toMatchSnapshot();
});

it('renders the SectionBreak with visible=true', () => {
  expect(render(<SectionBreak visible={true} />).baseElement).toMatchSnapshot();
});

it('renders the SectionBreak with visible=false', () => {
  expect(
    render(<SectionBreak visible={false} />).baseElement
  ).toMatchSnapshot();
});

it('renders the SectionBreak with size=xl', () => {
  expect(render(<SectionBreak size={'xl'} />).baseElement).toMatchSnapshot();
});

it('renders the SectionBreak with size=l', () => {
  expect(render(<SectionBreak size={'lg'} />).baseElement).toMatchSnapshot();
});

it('renders the SectionBreak with size=m', () => {
  expect(render(<SectionBreak size={'md'} />).baseElement).toMatchSnapshot();
});
