import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface SingleCharacterInputsProps extends BaseProps<'div'> {}
/**
 * Details for the SingleCharacterInputs.
 * It is used as a parent component to wrap SingleCharacterInput component.
 *
 */
export const SingleCharacterInputs = React.forwardRef<
  HTMLDivElement,
  SingleCharacterInputsProps
>(function SingleCharacterInputs({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-single-character-input': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default SingleCharacterInputs;
