import React from 'react';
import { render } from '@testing-library/react';

import Skeleton from '@digigov/react-core/Skeleton';

it('renders the Skeleton with no props', () => {
  expect(render(<Skeleton>hello</Skeleton>).baseElement).toMatchSnapshot();
});
it('renders the Skeleton with variant="circular"', () => {
  expect(
    render(<Skeleton variant="circular">hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with variant="rectangular"', () => {
  expect(
    render(<Skeleton variant="rectangular">hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with variant="button"', () => {
  expect(
    render(<Skeleton variant="button">hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with width="100"', () => {
  expect(
    render(<Skeleton width="100">hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with height="100"', () => {
  expect(
    render(<Skeleton height="100">hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with fontSize="sm"', () => {
  expect(
    render(<Skeleton fontSize="sm">hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with fontSize="lg"', () => {
  expect(
    render(<Skeleton fontSize="lg">hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with animation=false', () => {
  expect(
    render(<Skeleton animation={false}>hello</Skeleton>).baseElement
  ).toMatchSnapshot();
});
it('renders the Skeleton with variant="rectangular", width="100" height="100" animation=false', () => {
  expect(
    render(
      <Skeleton
        variant="rectangular"
        width={100}
        height={100}
        animation={false}
      >
        hello
      </Skeleton>
    ).baseElement
  ).toMatchSnapshot();
});
