import React from 'react';
import { render } from '@testing-library/react';

import Stack from '@digigov/react-core/Stack';

it('renders the Stack with no props', () => {
  expect(render(<Stack>hello</Stack>).baseElement).toMatchSnapshot();
});

it('renders the Stack with direction="column"', () => {
  expect(
    render(<Stack direction="column">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with direction="row"', () => {
  expect(
    render(<Stack direction="row">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with flexWrap="wrap"', () => {
  expect(
    render(<Stack flexWrap="wrap">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with flexWrap="nowrap"', () => {
  expect(
    render(<Stack flexWrap="nowrap">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with spacing={2}', () => {
  expect(
    render(<Stack spacing={2}>hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with spacing={4}', () => {
  expect(
    render(<Stack spacing={4}>hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with spacing={6}', () => {
  expect(
    render(<Stack spacing={6}>hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with spacing={8}', () => {
  expect(
    render(<Stack spacing={8}>hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with spacing={10}', () => {
  expect(
    render(<Stack spacing={10}>hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with spacing={12}', () => {
  expect(
    render(<Stack spacing={12}>hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with justifyContent="center"', () => {
  expect(
    render(<Stack justifyContent="center">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with justifyContent="flex-start"', () => {
  expect(
    render(<Stack justifyContent="flex-start">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with justifyContent="flex-end"', () => {
  expect(
    render(<Stack justifyContent="flex-end">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with justifyContent="space-around"', () => {
  expect(
    render(<Stack justifyContent="space-around">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with justifyContent="space-between"', () => {
  expect(
    render(<Stack justifyContent="space-between">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with justifyContent="space-evenly"', () => {
  expect(
    render(<Stack justifyContent="space-evenly">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignItems="flex-start"', () => {
  expect(
    render(<Stack alignItems="flex-start">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignItems="flex-end"', () => {
  expect(
    render(<Stack alignItems="flex-end">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignItems="center"', () => {
  expect(
    render(<Stack alignItems="center">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignItems="baseline"', () => {
  expect(
    render(<Stack alignItems="baseline">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignItems="stretch"', () => {
  expect(
    render(<Stack alignItems="stretch">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignContent="center"', () => {
  expect(
    render(<Stack alignContent="center">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignContent="flex-start"', () => {
  expect(
    render(<Stack alignContent="flex-start">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignContent="flex-end"', () => {
  expect(
    render(<Stack alignContent="flex-end">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignContent="space-around"', () => {
  expect(
    render(<Stack alignContent="space-around">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignContent="space-between"', () => {
  expect(
    render(<Stack alignContent="space-between">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with alignContent="space-evenly"', () => {
  expect(
    render(<Stack alignContent="space-evenly">hello</Stack>).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with direction = "row", flexWrap="nowrap" and spacing={12}', () => {
  expect(
    render(
      <Stack direction="row" flexWrap="nowrap" spacing={12}>
        hello
      </Stack>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Stack with direction = "row", flexWrap="wrap" justifyContent="flex-end" alignItems="baseline" alignContent="center" and spacing={12}', () => {
  expect(
    render(
      <Stack
        direction="row"
        flexWrap="wrap"
        justifyContent="flex-end"
        alignItems="baseline"
        alignContent="center"
        spacing={12}
      >
        hello
      </Stack>
    ).baseElement
  ).toMatchSnapshot();
});
