import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface StepNavAccordionHeadingTitleProps extends BaseProps<'div'> {}
/**
 * Use StepNavAccordionHeadingTitle as content title for StepNav component.
 * StepNavAccordionHeadingTitle must include StepNavAccordionHeadingText,
 * StepNavAccordionOpened and StepNavAccordionClosed components
 */
export const StepNavAccordionHeadingTitle = React.forwardRef<
  HTMLDivElement,
  StepNavAccordionHeadingTitleProps
>(function StepNavAccordionHeadingTitle(
  { className, children, ...props },
  ref
) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-step-nav__accordion__heading__title': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default StepNavAccordionHeadingTitle;
