import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface StepNavListProps extends BaseProps<'ol'> {}
/**
 * List component is used for listing step buy step items.
 * This component must contain StepNavListItem component.
 */
export const StepNavList = React.forwardRef<HTMLOListElement, StepNavListProps>(
  function StepNavList({ className, children, ...props }, ref) {
    return (
      <Base
        as="ol"
        ref={ref}
        className={clsx(className, {
          'ds-step-nav__steps': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default StepNavList;
