import React from 'react';
import { render } from '@testing-library/react';

import Table from '@digigov/react-core/Table';
import TableBody from '@digigov/react-core/TableBody';

it('renders the Table with no props', () => {
  expect(
    render(
      <Table>
        <TableBody></TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Table with dark headerVariant prop', () => {
  expect(
    render(
      <Table headerVariant="dark">
        <TableBody></TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Table with light headerVariant prop', () => {
  expect(
    render(
      <Table headerVariant="light">
        <TableBody></TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Table with zebra prop', () => {
  expect(
    render(
      <Table variant="zebra">
        <TableBody></TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Table with verticalBorders prop', () => {
  expect(
    render(
      <Table verticalBorders>
        <TableBody></TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});
