import React from 'react';
import { render } from '@testing-library/react';

import Table from '@digigov/react-core/Table';
import TableBody from '@digigov/react-core/TableBody';
import TableDataCell from '@digigov/react-core/TableDataCell';
import TableRow from '@digigov/react-core/TableRow';

it('renders the Table with no props', () => {
  expect(
    render(
      <Table>
        <TableBody>
          <TableRow>
            <TableDataCell>hello</TableDataCell>
          </TableRow>
        </TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Table with dataType numeric prop', () => {
  expect(
    render(
      <Table>
        <TableBody>
          <TableRow>
            <TableDataCell dataType="numeric">hello</TableDataCell>
          </TableRow>
        </TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});
