import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TableSortIconContainerProps extends BaseProps<'div'> {}
/**
 *
 * Use TableSortIconContainer to wrap CaretIcon like ascending descending style.
 *
 */
export const TableSortIconContainer = React.forwardRef<
  HTMLDivElement,
  TableSortIconContainerProps
>(function TableSortIconContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-table-sort__icons-container': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default TableSortIconContainer;
