import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TabsListProps extends BaseProps<'ul'> {}
/**
 * TabsList should be inside the Tabs component.
 * Inside the TabsList should be a list of TabsListItem components.
 */
export const TabsList = React.forwardRef<HTMLUListElement, TabsListProps>(
  function TabsList({ className, children, ...props }, ref) {
    return (
      <Base
        as="ul"
        role="tablist"
        ref={ref}
        className={clsx(className, {
          'ds-tabs__list': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default TabsList;
