import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TaskListItemContentProps extends BaseProps<'div'> {}
/**
 * TaskListItemContent component is used as a content for TaskList component.
 * TaskListItemContent component must be used inside TaskList component as child, after TaskListItemHeading.
 */
export const TaskListItemContent = React.forwardRef<
  HTMLDivElement,
  TaskListItemContentProps
>(function TaskListItemContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-task-list__content ': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default TaskListItemContent;
