import React from 'react';
import Heading, { HeadingProps } from '@digigov/react-core/Heading';

export interface TaskListItemHeadingProps extends HeadingProps {}

/**
 * TaskListItemHeading component is used to place a title in a TaskListItem component.
 * TaskListItemHeading component must be wrapped inside TaskListItem component.
 */
export const TaskListItemHeading = React.forwardRef<
  HTMLHeadingElement,
  TaskListItemHeadingProps
>(function TaskListItemHeaading({ children, ...props }, ref) {
  return (
    <Heading size="lg" marginBottom={4} ref={ref} {...props}>
      {children}
    </Heading>
  );
});

export default TaskListItemHeading;
