import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TimelineActionsProps extends BaseProps<'div'> {}
/**
 * TimelineActions contains the action behavior for Timeline Component.
 * We can use Links and Buttons.
 * Use TimelineActions inside Timeline component, after TimelineContent.
 */
export const TimelineActions = React.forwardRef<
  HTMLDivElement,
  TimelineActionsProps
>(function CardContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-timeline__actions': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default TimelineActions;
