import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TimelineContentProps extends BaseProps<'div'> {}
/**
 * TimelineContent component is used as a content for Timeline component.
 * TimelineContent component must be used inside Timeline component as child, after TimelineHeading.
 */
export const TimelineContent = React.forwardRef<
  HTMLDivElement,
  TimelineContentProps
>(function TimelineContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-timeline__content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default TimelineContent;
