import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TopProps extends BaseProps<'div'> {}
/**
 * Top is used inside the Layout component and it must be the first component in order.
 */
export const Top = React.forwardRef<HTMLDivElement, TopProps>(function Top(
  { className, children, ...props },
  ref
) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-top': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default Top;
