import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';
export interface AccordionSectionProps extends BaseProps<'details'> {}
/**
 * AccordionSection should be inside the Accordion component.
 *
 * Inside this component must place the Accordion and the AccordionSectionContent components.
 */
export const AccordionSection = React.forwardRef<
  HTMLDetailsElement,
  AccordionSectionProps
>(function AccordionSection({ className, children, ...props }, ref) {
  return (
    <Base
      as="details"
      ref={ref}
      className={clsx(className, {
        'ds-accordion__section': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default AccordionSection;
