import React from 'react';
import clsx from 'clsx';
import Aside, { AsideProps } from '@digigov/react-core/Aside';

export interface AdminAsideProps extends AsideProps {}

/**
 * Use this inside AdminContainer component for placing the aside content of the page
 */
export const AdminAside = React.forwardRef<HTMLElement, AdminAsideProps>(
  function AdminAside({ className, children, ...props }, ref) {
    return (
      <Aside
        lg={3}
        sticky={false}
        ref={ref}
        className={clsx(className, {
          'ds-admin-aside': true,
        })}
        {...props}
      >
        {children}
      </Aside>
    );
  }
);

export default AdminAside;
