import React from 'react';
import clsx from 'clsx';
import Header, { HeaderProps } from '@digigov/react-core/Header';

export interface AdminHeaderProps extends HeaderProps {}
/**
 * AdminHeader represents a container for govgr header information.
 * This elements is placed at the top of the page.
 */
export const AdminHeader = React.forwardRef<HTMLElement, AdminHeaderProps>(
  function AdminHeader({ className, children, ...props }, ref) {
    return (
      <Header
        data-module="ds-header"
        ref={ref}
        className={clsx(className, {
          'ds-admin-header': true,
        })}
        {...props}
      >
        {children}
      </Header>
    );
  }
);

export default AdminHeader;
