import React from 'react';
import clsx from 'clsx';
import HeaderContent, {
  HeaderContentProps,
} from '@digigov/react-core/HeaderContent';

export interface AdminHeaderContentProps extends HeaderContentProps {}
/**
 * AdminAdminHeaderContent is used inside AdminHeader as a container for its items.
 */
export const AdminHeaderContent = React.forwardRef<
  HTMLDivElement,
  AdminHeaderContentProps
>(function AdminHeaderContent({ className, children, ...props }, ref) {
  return (
    <HeaderContent
      ref={ref}
      className={clsx(className, {
        'ds-admin-header__content': true,
      })}
      {...props}
    >
      {children}
    </HeaderContent>
  );
});

export default AdminHeaderContent;
