import React from 'react';
import clsx from 'clsx';
import Main, { MainProps } from '@digigov/react-core/Main';

export interface AdminMainProps extends MainProps {}
/**
 * Use this inside AdminContainer component for placing the main content of the page
 */
export const AdminMain = React.forwardRef<HTMLDivElement, AdminMainProps>(
  function AdminMain({ className, children, ...props }, ref) {
    return (
      <Main
        lg={9}
        ref={ref}
        className={clsx(className, {
          'ds-admin-main': true,
        })}
        {...props}
      >
        {children}
      </Main>
    );
  }
);

export default AdminMain;
