import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface AutoCompleteMultipleInputProps extends BaseProps<'input'> {}
/**
 * AutoCompleteMultipleInput is used inside AutoCompleteMultipleInputContainer for multiple values input.
 */
export const AutoCompleteMultipleInput = React.forwardRef<
  HTMLInputElement,
  AutoCompleteMultipleInputProps
>(function AutoCompleteMultipleInput({ children, className, ...props }, ref) {
  return (
    <Base
      as="input"
      type="text"
      ref={ref}
      className={clsx(className, {
        'ds-autocomplete__multi-input': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default AutoCompleteMultipleInput;
