import React from 'react';
import { render } from '@testing-library/react';

import AutoCompleteResultListItem from '@digigov/react-core/AutoCompleteResultListItem';

it('renders the AutoCompleteResultList with no props', () => {
  expect(
    render(<AutoCompleteResultListItem>Hello</AutoCompleteResultListItem>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the AutoCompleteResultList with index props', () => {
  expect(
    render(
      <AutoCompleteResultListItem index={2}>Hello</AutoCompleteResultListItem>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the AutoCompleteResultList with isVisible isFocused props', () => {
  expect(
    render(
      <AutoCompleteResultListItem index={1} isFocused={null}>
        Hello
      </AutoCompleteResultListItem>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the AutoCompleteResultList with isVisible isHovered isFocused props', () => {
  expect(
    render(
      <AutoCompleteResultListItem index={1} isFocused isHovered={null}>
        Hello
      </AutoCompleteResultListItem>
    ).baseElement
  ).toMatchSnapshot();
});
