import React from 'react';
import clsx from 'clsx';
import { Base, BaseProps } from '@digigov/react-core/Base';

export interface BannerContainerProps extends BaseProps<'div'> {}

export const BannerContainer = React.forwardRef<
  HTMLDivElement,
  BannerContainerProps
>(function BannerContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-cookie-banner': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default BannerContainer;
