import React from 'react';
import CheckboxInput, {
  CheckboxInputProps,
} from '@digigov/react-core/Base/compat/Input/CheckboxInput.native';
import RadioInput, {
  RadioInputProps,
} from '@digigov/react-core/Base/compat/Input/RadioInput.native';
import {
  StringInput,
  StringInputProps,
} from '@digigov/react-core/Base/compat/Input/StringInput.native';

type InputProps = RadioInputProps | CheckboxInputProps | StringInputProps;

export const BaseInput = React.forwardRef<HTMLInputElement, InputProps>(
  function BaseInput(props, ref) {
    switch (props.type) {
      case 'radio':
        return <RadioInput ref={ref} {...props} />;
      case 'checkbox':
        return <CheckboxInput ref={ref} {...props} />;
      default:
        return <StringInput ref={ref} {...props} />;
    }
  }
);

export default BaseInput;
