import React from 'react';
import clsx from 'clsx';
import Grid, { GridProps } from '@digigov/react-core/Grid';

export interface BottomInfoContentProps extends GridProps {}
/**
 * BottomInfoContent is used inside the BottomInfoContainer component.
 */

export const BottomInfoContent = React.forwardRef<
  HTMLDivElement,
  BottomInfoContentProps
>(function BottomInfoContent({ className, xs = 12, children, ...props }, ref) {
  return (
    <Grid
      item
      xs={xs}
      ref={ref}
      className={clsx(className, {
        'ds-bottom-info__content': true,
      })}
      {...props}
    >
      {children}
    </Grid>
  );
});

export default BottomInfoContent;
