import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface BreadcrumbsListItemBaseProps extends BaseProps<'li'> {}
/**
 * BreadcrumbsListItem creates a list of items with the possibility of navigation.
 * It should be used inside BreadcrumbsList as children component
 */
export const BreadcrumbsListItemBase = React.forwardRef<
  HTMLLIElement,
  BreadcrumbsListItemBaseProps
>(function BreadcrumbsListItemBase({ className, children, ...props }, ref) {
  return (
    <Base
      as="li"
      ref={ref}
      className={clsx(className, {
        'ds-breadcrumbs__list-item': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default BreadcrumbsListItemBase;
