import React from 'react';
import { render } from '@testing-library/react';

import Button from '@digigov/react-core/Button';

it('renders the Button with no props', () => {
  expect(render(<Button>hello</Button>).baseElement).toMatchSnapshot();
});
it('renders the Button with color=primary', () => {
  expect(
    render(<Button color={'primary'}>hello</Button>).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with color=secondary', () => {
  expect(
    render(<Button color={'secondary'}>hello</Button>).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with color=warning', () => {
  expect(
    render(<Button color={'warning'}>hello</Button>).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with disabled=true', () => {
  expect(
    render(<Button disabled={true}>hello</Button>).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with disabled=false', () => {
  expect(
    render(<Button disabled={false}>hello</Button>).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with dense=true', () => {
  expect(
    render(<Button dense={true}>hello</Button>).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with color=primary with disabled=true', () => {
  expect(
    render(
      <Button disabled={true} color={'primary'}>
        hello
      </Button>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with color=secondary with disabled=true', () => {
  expect(
    render(
      <Button disabled={true} color={'secondary'}>
        hello
      </Button>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with color=warning with disabled=true', () => {
  expect(
    render(
      <Button disabled={true} color={'warning'}>
        hello
      </Button>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Button with ariaLabel prop', () => {
  expect(
    render(<Button aria-label="button for opening menu">Menu</Button>)
      .baseElement
  ).toMatchSnapshot();
});
it('renders the Button with tabIndex prop', () => {
  expect(
    render(<Button tabIndex={0}>Menu</Button>).baseElement
  ).toMatchSnapshot();
});
