import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ButtonGroupProps extends BaseProps<'div'> {}
/**
 * Use a button group when two or more buttons are placed together.
 */
export const ButtonGroup = React.forwardRef<HTMLDivElement, ButtonGroupProps>(
  function ButtonGroup({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-btn-group': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default ButtonGroup;
