import React from 'react';
import { render } from '@testing-library/react';

import Card from '@digigov/react-core/Card';

it('renders the Card with no props', () => {
  expect(render(<Card>hello</Card>).baseElement).toMatchSnapshot();
});

it('renders the Card with callToActon props', () => {
  expect(render(<Card callToAction>hello</Card>).baseElement).toMatchSnapshot();
});
it('renders the Card with dense props', () => {
  expect(render(<Card dense>hello</Card>).baseElement).toMatchSnapshot();
});
it('renders the Card with variant="border" props', () => {
  expect(
    render(<Card variant="border">hello</Card>).baseElement
  ).toMatchSnapshot();
});
it('renders the Card with variant="divider" props', () => {
  expect(
    render(<Card variant="divider">hello</Card>).baseElement
  ).toMatchSnapshot();
});
it('renders the Card with variant="border-top" props', () => {
  expect(
    render(<Card variant="border-top">hello</Card>).baseElement
  ).toMatchSnapshot();
});
it('renders the Card with dense" prop', () => {
  expect(render(<Card dense>hello</Card>).baseElement).toMatchSnapshot();
});
it('renders the Card with fullHeight" prop', () => {
  expect(render(<Card fullHeight>hello</Card>).baseElement).toMatchSnapshot();
});
it('renders the Card with variant="border" and borderColor="dark" props', () => {
  expect(
    render(
      <Card variant="border" borderColor="dark">
        hello
      </Card>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Card with variant="border" and borderColor="light" props', () => {
  expect(
    render(
      <Card variant="border" borderColor="light">
        hello
      </Card>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Card with variant="border-top" and borderColor="dark" props', () => {
  expect(
    render(
      <Card variant="border-top" borderColor="dark">
        hello
      </Card>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Card with variant="border-top" and borderColor="light" props', () => {
  expect(
    render(
      <Card variant="border-top" borderColor="light">
        hello
      </Card>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Card with variant="border-top" and borderColor="dark" callToAction props', () => {
  expect(
    render(
      <Card variant="border-top" borderColor="dark" callToAction>
        hello
      </Card>
    ).baseElement
  ).toMatchSnapshot();
});
