import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface CardContentProps extends BaseProps<'div'> {}
/**
 * CardContent contains the text for Card Component
 * Use CardContent inside Card component as children
 */
export const CardContent = React.forwardRef<HTMLDivElement, CardContentProps>(
  function CardContent({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-card__content': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default CardContent;
