import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface CardHeadingProps extends BaseProps<'div'> {}
/**
 * CardHeading gives header title to Card Component
 * Use CardHeading inside Card component as children
 */
export const CardHeading = React.forwardRef<HTMLDivElement, CardHeadingProps>(
  function CardHeading({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        role="heading"
        aria-level={2}
        className={clsx(className, {
          'ds-card__heading': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default CardHeading;
