import React from 'react';
import { render } from '@testing-library/react';

import Checkbox from '@digigov/react-core/Checkbox';
import CheckboxItem from '@digigov/react-core/CheckboxItem';

it('renders the Checkbox with no props', () => {
  expect(render(<Checkbox>hello</Checkbox>).baseElement).toMatchSnapshot();
});

it('renders the Checkbox with no props and CheckboxItem', () => {
  expect(
    render(
      <Checkbox>
        <CheckboxItem>This is item 1</CheckboxItem>
      </Checkbox>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Checkbox with layout=horizontal and CheckboxItems', () => {
  expect(
    render(
      <Checkbox layout="horizontal">
        <CheckboxItem>This is item 1</CheckboxItem>
        <CheckboxItem>This is item 2</CheckboxItem>
      </Checkbox>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Checkbox with dense prop and CheckboxItems', () => {
  expect(
    render(
      <Checkbox dense>
        <CheckboxItem>This is item 1</CheckboxItem>
        <CheckboxItem>This is item 2</CheckboxItem>
      </Checkbox>
    ).baseElement
  ).toMatchSnapshot();
});
