import React from 'react';
import { render } from '@testing-library/react';

import CheckboxItem from '@digigov/react-core/CheckboxItem';

it('renders the CheckboxItem with no props', () => {
  expect(
    render(<CheckboxItem>hello</CheckboxItem>).baseElement
  ).toMatchSnapshot();
});

it('renders the CheckboxItem with `name` prop', () => {
  expect(
    render(<CheckboxItem name="example">hello</CheckboxItem>).baseElement
  ).toMatchSnapshot();
});
it('renders the CheckboxItem with `value` prop', () => {
  expect(
    render(<CheckboxItem value="example">hello</CheckboxItem>).baseElement
  ).toMatchSnapshot();
});

it('renders the CheckboxItem with `disabled` prop', () => {
  expect(
    render(<CheckboxItem disabled>hello</CheckboxItem>).baseElement
  ).toMatchSnapshot();
});
it('renders the CheckboxItem with `divider` prop', () => {
  expect(
    render(<CheckboxItem dividerText="ή">hello</CheckboxItem>).baseElement
  ).toMatchSnapshot();
});

it('renders the CheckboxItem with `value` `name` and `disabled` props', () => {
  expect(
    render(
      <CheckboxItem value="example" name="example" disabled>
        hello
      </CheckboxItem>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the CheckboxItem with `value` `name`, `divider` and `disabled` props', () => {
  expect(
    render(
      <CheckboxItem value="example" name="example" dividerText="ή" disabled>
        hello
      </CheckboxItem>
    ).baseElement
  ).toMatchSnapshot();
});
