import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface CheckboxItemInputProps extends BaseProps<'input'> {}
/**
 * Details for the CheckboxItem.
 * CheckboxItemInput component is the input component for CheckboxItem.
 */
export const CheckboxItemInput = React.forwardRef<
  HTMLInputElement,
  CheckboxItemInputProps
>(function CheckboxItemInput(
  { name, value, className, disabled, ...props },
  ref
) {
  return (
    <Base
      as="input"
      ref={ref}
      type="checkbox"
      name={name}
      value={value}
      className={clsx(className, {
        'ds-checkboxes__input': true,
      })}
      disabled={disabled}
      {...props}
    />
  );
});

export default CheckboxItemInput;
