import React from 'react';
import Heading, { HeadingProps } from '@digigov/react-core/Heading';

export interface ChipHeadingProps extends HeadingProps {}
/**
 * ChipHeading is used to provide header title above chips.
 * ChipHeading component must be wrapped inside FilterSelectedSection component.
 */
export const ChipHeading = React.forwardRef<
  HTMLHeadingElement,
  ChipHeadingProps
>(function ChipHeading({ children, ...props }, ref) {
  return (
    <Heading ref={ref} element="h2" size="xs" {...props}>
      {children}
    </Heading>
  );
});

export default ChipHeading;
