import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ChipKeyValueProps extends BaseProps<'span'> {}
/**
 * ChipKeyValue is used to provide key value inside chips.
 * ChipKeyValue component must be wrapped inside Chip component.
 */
export const ChipKeyValue = React.forwardRef<
  HTMLSpanElement,
  ChipKeyValueProps
>(function ChipKeyValue({ className, children, ...props }, ref) {
  return (
    <Base
      as="span"
      ref={ref}
      className={clsx(className, {
        'ds-chip__key-value': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default ChipKeyValue;
