import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface CodeBlockContentProps extends BaseProps<'pre'> {}
/**
 * CodeBlockContent can be used as content inside the CodeBlockContainer.
 *
 */
export const CodeBlockContent = React.forwardRef<
  HTMLPreElement,
  CodeBlockContentProps
>(function CodeBlockContent({ className, children, ...props }, ref) {
  return (
    <Base as="pre" ref={ref} className={className} {...props}>
      <Base
        as="code"
        className={clsx({
          'ds-code-block__content': true,
        })}
      >
        {children}
      </Base>
    </Base>
  );
});

export default CodeBlockContent;
