import React from 'react';
import { render } from '@testing-library/react';

import CopyToClipboardContainer from '@digigov/react-core/CopyToClipboardContainer';

it('renders the CopyToClipboardContainer with no props', () => {
  expect(
    render(<CopyToClipboardContainer>Text copied!</CopyToClipboardContainer>)
      .baseElement
  ).toMatchSnapshot();
});
it('renders the CopyToClipboardContainer with variant=tooltip', () => {
  expect(
    render(
      <CopyToClipboardContainer variant="tooltip" tooltipAlign="right">
        Text copied!
      </CopyToClipboardContainer>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the CopyToClipboardContainer with variant=banner', () => {
  expect(
    render(
      <CopyToClipboardContainer variant="banner">
        Text copied!
      </CopyToClipboardContainer>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the CopyToClipboardContainer with dense=true', () => {
  expect(
    render(
      <CopyToClipboardContainer dense>Text copied!</CopyToClipboardContainer>
    ).baseElement
  ).toMatchSnapshot();
});
