import React from 'react';
import { render } from '@testing-library/react';

import CopyToClipboardMessage from '@digigov/react-core/CopyToClipboardMessage';

it('renders the CopyToClipboardMessage with no props', () => {
  expect(
    render(<CopyToClipboardMessage>Text copied!</CopyToClipboardMessage>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the CopyToClipboardMessage with banner prop', () => {
  expect(
    render(<CopyToClipboardMessage>Text copied!</CopyToClipboardMessage>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the CopyToClipboardMessage with tooltip prop', () => {
  expect(
    render(<CopyToClipboardMessage>Text copied!</CopyToClipboardMessage>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the CopyToClipboardMessage with copied prop', () => {
  expect(
    render(
      <CopyToClipboardMessage enabled={true}>
        Text copied!
      </CopyToClipboardMessage>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the CopyToClipboardMessage with tooltip and copied prop', () => {
  expect(
    render(
      <CopyToClipboardMessage enabled={true}>
        Text copied!
      </CopyToClipboardMessage>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the CopyToClipboardMessage with banner copied prop', () => {
  expect(
    render(
      <CopyToClipboardMessage enabled={true}>
        Text copied!
      </CopyToClipboardMessage>
    ).baseElement
  ).toMatchSnapshot();
});
