import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface CopyrightContainerProps extends BaseProps<'p'> {}
/**
 * CopyrightContainer is used inside the Footer component.
 * CopyrightContainer has no props.
 */
export const CopyrightContainer = React.forwardRef<
  HTMLParagraphElement,
  CopyrightContainerProps
>(function CopyrightContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="p"
      ref={ref}
      className={clsx(className, {
        'ds-footer__copyright': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default CopyrightContainer;
