import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface DetailsContentProps extends BaseProps<'div'> {}
/**
 *DetailsContent component wraps the content text.
 *It is used inside Details component as children
 */
export const DetailsContent = React.forwardRef<
  HTMLDivElement,
  DetailsContentProps
>(function DetailsContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-details__content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default DetailsContent;
