import React from 'react';
import { render } from '@testing-library/react';

import DropdownBase from '@digigov/react-core/DropdownBase';

it('renders the DropdownBase with no props', () => {
  expect(
    render(<DropdownBase>hello</DropdownBase>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase disabled', () => {
  expect(
    render(<DropdownBase disabled>hello</DropdownBase>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with open=true', () => {
  expect(
    render(<DropdownBase open={true}>hello</DropdownBase>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with open=false', () => {
  expect(
    render(<DropdownBase open={false}>hello</DropdownBase>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with align=left', () => {
  expect(
    render(<DropdownBase align="left">hello</DropdownBase>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with placement=top', () => {
  expect(
    render(<DropdownBase placement="top">hello</DropdownBase>).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with align=left and open=true', () => {
  expect(
    render(
      <DropdownBase open={true} align="left">
        hello
      </DropdownBase>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with align=right and open=false', () => {
  expect(
    render(
      <DropdownBase open={false} align="right">
        hello
      </DropdownBase>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with placement=top and open=true', () => {
  expect(
    render(
      <DropdownBase open={true} placement="top">
        hello
      </DropdownBase>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with placement=bottom and open=false', () => {
  expect(
    render(
      <DropdownBase open={false} placement="bottom">
        hello
      </DropdownBase>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with placement=top align=left and open=true', () => {
  expect(
    render(
      <DropdownBase open={true} placement="top" align="left">
        hello
      </DropdownBase>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the DropdownBase with dense=true and open=true', () => {
  expect(
    render(
      <DropdownBase open={true} dense={true}>
        hello
      </DropdownBase>
    ).baseElement
  ).toMatchSnapshot();
});
