import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FieldsetProps extends BaseProps<'fieldset'> {}
/**
 * Details for the Fieldset.
 * Fieldset component is used to group related elements in a form.
 */
export const Fieldset = React.forwardRef<HTMLFieldSetElement, FieldsetProps>(
  function Fieldset({ className, children, ...props }, ref) {
    return (
      <Base
        as="fieldset"
        ref={ref}
        className={clsx(className, {
          'ds-fieldset': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default Fieldset;
