import React from 'react';
import { render } from '@testing-library/react';

import FieldsetLegend from '@digigov/react-core/FieldsetLegend';

it('renders the FieldsetLegend with no props', () => {
  expect(
    render(
      <FieldsetLegend>This is FieldsetLegend with no props</FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the FieldsetLegend with size s props', () => {
  expect(
    render(
      <FieldsetLegend size="sm">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the FieldsetLegend with size m props', () => {
  expect(
    render(
      <FieldsetLegend size="md">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the FieldsetLegend with size l props', () => {
  expect(
    render(
      <FieldsetLegend size="lg">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the FieldsetLegend with size xl props', () => {
  expect(
    render(
      <FieldsetLegend size="xl">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the FieldsetLegend with heading props', () => {
  expect(
    render(
      <FieldsetLegend heading>
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the FieldsetLegend with heading and size s props', () => {
  expect(
    render(
      <FieldsetLegend heading size="sm">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the FieldsetLegend with heading and size m props', () => {
  expect(
    render(
      <FieldsetLegend heading size="md">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the FieldsetLegend with heading and size l props', () => {
  expect(
    render(
      <FieldsetLegend heading size="lg">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the FieldsetLegend with heading and size xl props', () => {
  expect(
    render(
      <FieldsetLegend heading size="xl">
        This is FieldsetLegend with no props
      </FieldsetLegend>
    ).baseElement
  ).toMatchSnapshot();
});
