import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FileUploadContainerProps extends BaseProps<'div'> {
  /**
   * hasFiles is optional.
   * @value true
   * @value false
   * @default false
   */
  hasFiles?: boolean;
}
/**
 * Details for the FileUploadContainer.
 * FileUploadContainer component is used for wrapping the FileUpload component
 */
export const FileUploadContainer = React.forwardRef<
  HTMLDivElement,
  FileUploadContainerProps
>(function FileUploadContainer(
  { className, children, hasFiles = false, ...props },
  ref
) {
  return (
    <Base
      ref={ref}
      as="div"
      className={clsx(className, {
        'ds-uploaded-file': hasFiles,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FileUploadContainer;
