import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FilterSelectedHeadingProps extends BaseProps<'div'> {}
/**
 * Use FilterSelectedHeading as a wrapper for placing Headings on filters
 */
export const FilterSelectedHeading = React.forwardRef<
  HTMLDivElement,
  FilterSelectedHeadingProps
>(function FilterSelectedHeading({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-filter__selected-heading': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FilterSelectedHeading;
