import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterProps extends BaseProps<'footer'> {}
/**
 * Footer is used always at the end of the page, in the Layout component.
 */
export const Footer = React.forwardRef<HTMLElement, FooterProps>(
  function Footer({ className, children, ...props }, ref) {
    return (
      <Base
        as="footer"
        ref={ref}
        className={clsx(className, {
          'ds-footer': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default Footer;
