import React from 'react';
import Container, { ContainerProps } from '@digigov/react-core/Container';

export interface FooterContainerProps extends ContainerProps {}
/**
 * FooterContainer mush be used inside the Footer component. It has no props.
 */
export const FooterContainer = React.forwardRef<
  HTMLDivElement,
  FooterContainerProps
>(function FooterContainer({ children, ...props }, ref) {
  return (
    <Container ref={ref} grid={false} {...props}>
      {children}
    </Container>
  );
});

export default FooterContainer;
