import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterImageProps extends BaseProps<'img'> {}
/**
 * FooterImage is a component for logos and images in the footer.
 * It is used inside to FooterContentLogos.
 *
 */
export const FooterImage = React.forwardRef<HTMLImageElement, FooterImageProps>(
  function FooterImage(
    { className, children, alt = 'footer logo', ...props },
    ref
  ) {
    return (
      <Base
        as="img"
        ref={ref}
        className={clsx(className, {
          'ds-footer__logo': true,
        })}
        {...props}
        alt={alt}
      >
        {children}
      </Base>
    );
  }
);

export default FooterImage;
