import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterInfoProps extends BaseProps<'div'> {}
/**
 * FooterInfo is inside the FooterContainer component.
 * This component is meant to wrap FooterInfoSection components.
 * Semantically, in this component we include the very basic elements of a govgr footer.
 */
export const FooterInfo = React.forwardRef<HTMLDivElement, FooterInfoProps>(
  function FooterInfo({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-footer__info': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default FooterInfo;
