import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterInfoSectionProps extends BaseProps<'section'> {
  /**
   * grow is optional.
   * Use this prop If wanted this component to have it's maximum grow.
   */
  grow?: boolean;
}
/**
 * FooterInfoSection is inside the FooterInfo component.
 */
export const FooterInfoSection = React.forwardRef<
  HTMLDivElement,
  FooterInfoSectionProps
>(function FooterInfoSection({ grow, className, children, ...props }, ref) {
  return (
    <Base
      as="section"
      ref={ref}
      className={clsx(className, {
        'ds-footer__info-section': true,
        'ds-footer__info-section--grow': grow,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FooterInfoSection;
