import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface FooterNavigationProps extends BaseProps<'div'> {}
/**
 * FooterNavigation is optional. This components must be included in the FooterContainer.
 * Inside this component we place one or more of the component FooterNavigationSection.
 * This component has no props.
 */
export const FooterNavigation = React.forwardRef<
  HTMLDivElement,
  FooterNavigationProps
>(function FooterNavigation({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-footer__navigation': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default FooterNavigation;
