import React from 'react';
import clsx from 'clsx';
import { Base, BaseProps } from '@digigov/react-core/Base';

export interface KitchenSinkCategoryProps extends BaseProps<'div'> {}

export const KitchenSinkCategory = React.forwardRef<
  HTMLDivElement,
  KitchenSinkCategoryProps
>(function KitchenSinkCategory({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-kitchensink-category': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});
