import React from 'react';
import clsx from 'clsx';
import { Base, BaseProps } from '@digigov/react-core/Base';

export interface KitchenSinkContentProps extends BaseProps<'div'> {
  /**
   * The content of the component.
   *
   *
   * * @value true
   * @value false
   * @default false
   */
  wide?: boolean;
}

export const KitchenSinkContent = React.forwardRef<
  HTMLDivElement,
  KitchenSinkContentProps
>(function KitchenSinkContent(
  { wide = false, className, children, ...props },
  ref
) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-kitchensink-content': true,
        'ds-kitchensink-content--wide': wide,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});
