import React from 'react';
import clsx from 'clsx';
import { Base, BaseProps } from '@digigov/react-core/Base';

export interface KitchenSinkContentTagsProps extends BaseProps<'div'> {}

export const KitchenSinkContentTags = React.forwardRef<
  HTMLDivElement,
  KitchenSinkContentTagsProps
>(function KitchenSinkContentTags({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-kitchensink-content__tags': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});
