import React from 'react';
import clsx from 'clsx';
import { Base, BaseProps } from '@digigov/react-core/Base';

export interface KitchenSinkLetterContentProps extends BaseProps<'div'> {}

export const KitchenSinkLetterContent = React.forwardRef<
  HTMLDivElement,
  KitchenSinkLetterContentProps
>(function KitchenSinkLetterContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-kitchensink-letter-content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});
