import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface LabelContainerProps extends BaseProps<'label'> {}
/**
 * Label component defines a label for several elements at forms.
 */
export const LabelContainer = React.forwardRef<
  HTMLLabelElement,
  LabelContainerProps
>(function LabelContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="label"
      ref={ref}
      className={clsx(className, {
        'ds-label': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default LabelContainer;
