import React from 'react';
import { render } from '@testing-library/react';

import List from '@digigov/react-core/List';
import ListItem from '@digigov/react-core/ListItem';

it('renders the List with no props', () => {
  expect(render(<List>hello</List>).baseElement).toMatchSnapshot();
});

it('renders the List with listStyle=bullet', () => {
  expect(
    render(<List listStyle={'bullet'}>hello</List>).baseElement
  ).toMatchSnapshot();
});

it('renders the List with listStyle=number', () => {
  expect(
    render(<List listStyle={'number'}>hello</List>).baseElement
  ).toMatchSnapshot();
});

it('renders the List with children and listStyle=number', () => {
  expect(
    render(
      <List listStyle={'number'}>
        <ListItem>hello Giorgos</ListItem>
        <ListItem>hello Katerina</ListItem>
      </List>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the List with children and listStyle=bullet', () => {
  expect(
    render(
      <List listStyle={'bullet'}>
        <ListItem>hello Giorgos</ListItem>
        <ListItem>hello Katerina</ListItem>
      </List>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the List with listStyle=number and dense', () => {
  expect(
    render(
      <List listStyle={'number'} dense={true}>
        <ListItem>hello Giorgos</ListItem>
        <ListItem>hello Katerina</ListItem>
      </List>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the List with listStyle=bullet and dense', () => {
  expect(
    render(
      <List listStyle={'bullet'} dense={true}>
        <ListItem>hello Giorgos</ListItem>
        <ListItem>hello Katerina</ListItem>
      </List>
    ).baseElement
  ).toMatchSnapshot();
});
