import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ListItemProps extends BaseProps<'li'> {}
/**
 * ListItem must be inside List compoenent.
 */
export const ListItem = React.forwardRef<HTMLLIElement, ListItemProps>(
  function ListItem({ className, children, ...props }, ref) {
    return (
      <Base
        as="li"
        ref={ref}
        className={clsx(className, {
          'ds-list__item': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default ListItem;
