import React from 'react';
import clsx from 'clsx';
import Grid, { GridProps } from '@digigov/react-core/Grid';

export interface MainProps extends GridProps {}
/**
 * Use this inside Container component for placing the main content of the page.
 */
export const Main = React.forwardRef<HTMLElement, MainProps>(function Main(
  { className, children, id = 'main-content', ...props },
  ref
) {
  return (
    <Grid
      item
      xs={12}
      md={8}
      as="main"
      id={id}
      ref={ref}
      className={clsx(className, {
        'ds-main': true,
      })}
      {...props}
    >
      {children}
    </Grid>
  );
});

export default Main;
