import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ModalContentProps extends BaseProps<'div'> {}
/**
 * ModalContent contains the text or any other element for Modal Component
 * Use ModalContent  inside Modal component as children
 */
export const ModalContent = React.forwardRef<HTMLDivElement, ModalContentProps>(
  function ModalContent({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-modal__content': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default ModalContent;
