import React from 'react';
import Heading, { HeadingProps } from '@digigov/react-core/Heading';

export interface ModalHeadingProps extends HeadingProps {}
/**
 * ModalHeading gives header title to Modal Component
 * Use ModalHeading inside Modal component as children
 */

export const ModalHeading = React.forwardRef<HTMLDivElement, ModalHeadingProps>(
  function ModalHeading({ children, ...props }, ref) {
    return (
      <Heading ref={ref} size="md" element="h2" {...props}>
        {children}
      </Heading>
    );
  }
);

export default ModalHeading;
