import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface NavListItemActionContainerProps extends BaseProps<'li'> {}
/**
 * NavListItemActionContainer must be inside the NavList.
 * This component has a items of NavListItemLink component inside.
 */
export const NavListItemActionContainer = React.forwardRef<
  HTMLLIElement,
  NavListItemActionContainerProps
>(function NavListItemActionContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="li"
      ref={ref}
      className={clsx(className, {
        'ds-nav__list-item': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default NavListItemActionContainer;
