import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface NavMenuContentListProps extends BaseProps<'ul'> {}
/**
 * NavMenuContentListBase contains the ul list nav menu.
 * Inside this component must be NavMenuContentListItem component.
 */
export const NavMenuContentListBase = React.forwardRef<
  HTMLUListElement,
  NavMenuContentListProps
>(function NavMenuContentListBase({ className, children, ...props }, ref) {
  return (
    <Base
      as="ul"
      ref={ref}
      className={clsx(className, {
        'ds-nav-menu__content-list': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default NavMenuContentListBase;
