import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface NavMenuContentListItemProps extends BaseProps<'li'> {}
/**
 * NavMenuContentListItem contains all li items nav menu.
 *
 */
export const NavMenuContentListItem = React.forwardRef<
  HTMLLIElement,
  NavMenuContentListItemProps
>(function NavMenuContentListItem({ className, children, ...props }, ref) {
  return (
    <Base
      as="li"
      ref={ref}
      className={clsx(className, {
        'ds-nav-menu__content-list-item': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default NavMenuContentListItem;
