import React from 'react';
import clsx from 'clsx';
import { BaseProps } from '@digigov/react-core/Base';
import Grid from '@digigov/react-core/Grid';
import Heading from '@digigov/react-core/Heading';

export interface NavMenuTitleProps extends BaseProps<'div'> {}
/**
 *
 * NavMenuTitle is the main Title for the nav list items.
 * NavMenuTitle  must be inside NavMenuContainer component.
 */
export const NavMenuTitle = React.forwardRef<HTMLDivElement, NavMenuTitleProps>(
  function NavMenuTitle({ className, children, ...props }, ref) {
    return (
      <Grid
        item
        xs={12}
        sm={4}
        ref={ref}
        className={clsx(className, {
          'ds-nav-menu__title': true,
        })}
        {...props}
      >
        <Heading
          element="h3"
          size="md"
          className={clsx({
            'ds-nav-menu__title-heading': true,
          })}
        >
          {children}
        </Heading>
      </Grid>
    );
  }
);

export default NavMenuTitle;
