import React from 'react';
import { render } from '@testing-library/react';

import NormalText from '@digigov/react-core/NormalText';

it('renders the NormalText with no props', () => {
  expect(render(<NormalText>hello</NormalText>).baseElement).toMatchSnapshot();
});

it('renders the NormalText with size=lead', () => {
  expect(
    render(<NormalText size={'lg'}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal', () => {
  expect(
    render(<NormalText size={'md'}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small', () => {
  expect(
    render(<NormalText size={'sm'}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontWeight=regular', () => {
  expect(
    render(<NormalText fontWeight={'regular'}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontWeight=bold', () => {
  expect(
    render(<NormalText fontWeight={'bold'}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=14', () => {
  expect(
    render(<NormalText fontSize={14}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=16', () => {
  expect(
    render(<NormalText fontSize={16}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=19', () => {
  expect(
    render(<NormalText fontSize={19}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=24', () => {
  expect(
    render(<NormalText fontSize={24}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=30', () => {
  expect(
    render(<NormalText fontSize={30}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=36', () => {
  expect(
    render(<NormalText fontSize={36}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=48', () => {
  expect(
    render(<NormalText fontSize={48}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with fontSize=72', () => {
  expect(
    render(<NormalText fontSize={72}>hello</NormalText>).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and fontSize=14', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={14}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and ontSize=16', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={16}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and fontSize=19', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={19}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and fontSize=24', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={24}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and fontSize=30', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={30}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and fontSize=36', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={36}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and font size fontSize=48', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={48}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=lead and font size fontSize=72', () => {
  expect(
    render(
      <NormalText size={'lg'} fontSize={72}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and fontSize=14', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={14}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and ontSize=16', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={16}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and fontSize=19', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={19}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and fontSize=24', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={24}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and fontSize=30', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={30}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and fontSize=36', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={36}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and font size fontSize=48', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={48}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=normal and font size fontSize=72', () => {
  expect(
    render(
      <NormalText size={'md'} fontSize={72}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small and fontSize=14', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={14}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small and ontSize=16', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={16}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small and fontSize=19', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={19}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small and fontSize=24', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={24}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small and fontSize=30', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={30}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small and font size fontSize=48', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={48}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small and font size fontSize=72', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={72}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small, font size fontSize=72 and fontWeight=regular', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={72} fontWeight={'regular'}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the NormalText with size=small, font size fontSize=72 and fontWeight=bold', () => {
  expect(
    render(
      <NormalText size={'sm'} fontSize={72} fontWeight={'bold'}>
        hello
      </NormalText>
    ).baseElement
  ).toMatchSnapshot();
});
