import React from 'react';
import clsx from 'clsx';
import LinkBase, { LinkBaseProps } from '@digigov/react-core/LinkBase';

export interface NotificationBannerLinkProps extends LinkBaseProps {}
/**
 * Details for the NotificationBannerLink.
 * NotificationBannerLink allow users to click their way from page to page.
 * NotificationBannerLink must be wrapped inside NotificationContent component as children
 */
export const NotificationBannerLink = React.forwardRef<
  HTMLAnchorElement,
  NotificationBannerLinkProps
>(function NotificationBannerLink({ className, children, ...props }, ref) {
  return (
    <LinkBase
      ref={ref}
      className={clsx(className, {
        'ds-notification-banner__link': true,
      })}
      {...props}
    >
      {children}
    </LinkBase>
  );
});

export default NotificationBannerLink;
