import React from 'react';
import HeadingCaption, {
  HeadingCaptionProps,
} from '@digigov/react-core/HeadingCaption';

export interface PageTitleCaptionProps extends HeadingCaptionProps {}
/**
 * PageTitleCaption will be replaced by HeadingCaption.
 */

export const PageTitleCaption = React.forwardRef<
  HTMLHeadingElement,
  PageTitleCaptionProps
>(function PageTitleCaption({ children, ...props }, ref) {
  return (
    <HeadingCaption ref={ref} {...props}>
      {children}
    </HeadingCaption>
  );
});

export default PageTitleCaption;
