import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PageTitleProps extends BaseProps<'div'> {}
/**
 * Details for the PageTitleContainer.
 */
export const PageTitleContainer = React.forwardRef<
  HTMLDivElement,
  PageTitleProps
>(function PageTitleContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-page-title': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default PageTitleContainer;
