import React from 'react';
import Heading, { HeadingProps } from '@digigov/react-core/Heading';

export interface PageTitleHeadingProps extends HeadingProps {}
/**
 * Details for the PageTitleHeading.
 * Use PageTitleHeading for the main page title.
 */
export const PageTitleHeading = React.forwardRef<
  HTMLHeadingElement,
  PageTitleHeadingProps
>(function PageTitleHeading({ children, ...props }, ref) {
  return (
    <Heading ref={ref} {...props}>
      {children}
    </Heading>
  );
});

export default PageTitleHeading;
