import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PaginationListProps extends BaseProps<'ul'> {}
/**
 * Use PaginationList as a child of Pagination to list a large number of results
 */
export const PaginationList = React.forwardRef<
  HTMLUListElement,
  PaginationListProps
>(function PaginationList({ className, children, ...props }, ref) {
  return (
    <Base
      as="ul"
      ref={ref}
      className={clsx(className, {
        'ds-pagination__list': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default PaginationList;
