import React from 'react';
import { render } from '@testing-library/react';

import PaginationListItem from '@digigov/react-core/PaginationListItem';

it('renders the PaginationListItem with no props', () => {
  expect(
    render(<PaginationListItem>hello</PaginationListItem>).baseElement
  ).toMatchSnapshot();
});
it('renders the PaginationListItem with active=true', () => {
  expect(
    render(<PaginationListItem active>hello</PaginationListItem>).baseElement
  ).toMatchSnapshot();
});
it('renders the PaginationListItem with variant=dots', () => {
  expect(
    render(<PaginationListItem variant="dots">hello</PaginationListItem>)
      .baseElement
  ).toMatchSnapshot();
});
it('renders the PaginationListItem with active=true and variant=dots', () => {
  expect(
    render(
      <PaginationListItem active variant="dots">
        hello
      </PaginationListItem>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the PaginationListItem with currentPage', () => {
  expect(
    render(<PaginationListItem currentPage>hello</PaginationListItem>)
      .baseElement
  ).toMatchSnapshot();
});
