import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PanelBodyProps extends BaseProps<'div'> {}
/**
 * PanelBody provides the body of the panel message. Use this inside Panel, after PanelTitle.
 */
export const PanelBody = React.forwardRef<HTMLDivElement, PanelBodyProps>(
  function PanelBody({ className, children, ...props }, ref) {
    return (
      <Base
        as="div"
        ref={ref}
        className={clsx(className, {
          'ds-panel__body': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default PanelBody;
