import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PanelTitleProps extends BaseProps<'h1'> {}
/**
 * PanelTitle provides the title of the panel message.Use this inside Panel.
 */
export const PanelTitle = React.forwardRef<HTMLHeadingElement, PanelTitleProps>(
  function PanelTitle({ className, children, ...props }, ref) {
    return (
      <Base
        as="h1"
        ref={ref}
        className={clsx(className, {
          'ds-panel__title': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default PanelTitle;
