import React from 'react';
import { render } from '@testing-library/react';

import Paragraph from '@digigov/react-core/Paragraph';

it('renders the Paragraph with no props', () => {
  expect(render(<Paragraph>hello</Paragraph>).baseElement).toMatchSnapshot();
});

it('renders the Paragraph with size=lead', () => {
  expect(
    render(<Paragraph size={'lg'}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal', () => {
  expect(
    render(<Paragraph size={'md'}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small', () => {
  expect(
    render(<Paragraph size={'sm'}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=14', () => {
  expect(
    render(<Paragraph fontSize={14}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=16', () => {
  expect(
    render(<Paragraph fontSize={16}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=19', () => {
  expect(
    render(<Paragraph fontSize={19}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=24', () => {
  expect(
    render(<Paragraph fontSize={24}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=30', () => {
  expect(
    render(<Paragraph fontSize={30}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=36', () => {
  expect(
    render(<Paragraph fontSize={36}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=48', () => {
  expect(
    render(<Paragraph fontSize={48}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with fontSize=72', () => {
  expect(
    render(<Paragraph fontSize={72}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});
it('renders the Paragraph with fontWeight=regular', () => {
  expect(
    render(<Paragraph fontWeight={'regular'}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});
it('renders the Paragraph with fontWeight=bold', () => {
  expect(
    render(<Paragraph fontWeight={'bold'}>hello</Paragraph>).baseElement
  ).toMatchSnapshot();
});
it('renders the Paragraph with size=lead and fontSize=14', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={14}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=lead and fontSize=16', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={16}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=lead and fontSize=19', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={19}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=lead and fontSize=24', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={14}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=lead and fontSize=30', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={30}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=lead and fontSize=36', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={36}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=lead and fontSize=48', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={48}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=lead and fontSize=72', () => {
  expect(
    render(
      <Paragraph size={'lg'} fontSize={72}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=14', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={14}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=16', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={16}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=19', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={19}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=24', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={14}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=30', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={30}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=36', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={36}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=48', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={48}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=small and fontSize=72', () => {
  expect(
    render(
      <Paragraph size={'sm'} fontSize={72}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=14', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={14}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=16', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={16}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=19', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={19}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=24', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={14}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=30', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={30}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=36', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={36}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=48', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={48}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Paragraph with size=normal and fontSize=72', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={72}>
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Paragraph with size=normal, fontSize=72 and fontWeight="regular', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={72} fontWeight="regular">
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Paragraph with size=normal, fontSize=72 and fontWeight="bold', () => {
  expect(
    render(
      <Paragraph size={'md'} fontSize={72} fontWeight="bold">
        hello
      </Paragraph>
    ).baseElement
  ).toMatchSnapshot();
});
