import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface PhaseBannerTagProps extends BaseProps<'span'> {}
/**
 * PhaseBannerTag is used inside the PhaseBanner component and it requires a text of the phase of the service (ex. Alpha, Beta).
 */
export const PhaseBannerTag = React.forwardRef<
  HTMLSpanElement,
  PhaseBannerTagProps
>(function PhaseBannerTag({ className, children, ...props }, ref) {
  return (
    <Base
      as="span"
      ref={ref}
      className={clsx(className, {
        'ds-phase-banner__tag': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default PhaseBannerTag;
