import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ResultsActionBarProps extends BaseProps<'div'> {}
/**
 * Use ResultsActionBar component to wrap inside page actions.
 */
export const ResultsActionBar = React.forwardRef<
  HTMLDivElement,
  ResultsActionBarProps
>(function ResultsActionBar({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-results__action-bar': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default ResultsActionBar;
