import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface ResultsHeadingProps extends BaseProps<'div'> {}
/**
 * Use ResultsHeading component to wrap title for results.
 *
 */
export const ResultsHeading = React.forwardRef<
  HTMLDivElement,
  ResultsHeadingProps
>(function ResultsHeading({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-results__heading': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default ResultsHeading;
