import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface SearchContainerProps extends BaseProps<'div'> {}
/**
 * Use this component to wrap SearchButton component.
 */
export const SearchContainer = React.forwardRef<
  HTMLDivElement,
  SearchContainerProps
>(function SearchContainer({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-search': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default SearchContainer;
