import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface SectionProps extends BaseProps<'div'> {}
/**
 * Details for the Section.
 * Use Section component to wrap PageTitleHeading component.
 */
export const Section = React.forwardRef<HTMLDivElement, SectionProps>(
  function Section({ className, children, ...props }, ref) {
    return (
      <Base as="div" ref={ref} className={clsx(className, {})} {...props}>
        {children}
      </Base>
    );
  }
);

export default Section;
