import React from 'react';
import { render } from '@testing-library/react';

import SelectContainer from '@digigov/react-core/SelectContainer';

it('renders the SelectContainer with no props', () => {
  expect(
    render(<SelectContainer>hello</SelectContainer>).baseElement
  ).toMatchSnapshot();
});

it('renders the SelectContainer with name props', () => {
  expect(
    render(<SelectContainer name={'some-name'}>hello</SelectContainer>)
      .baseElement
  ).toMatchSnapshot();
});
it('renders the SelectContainer with dense prop', () => {
  expect(
    render(<SelectContainer dense>hello</SelectContainer>).baseElement
  ).toMatchSnapshot();
});

it('renders the SelectContainer with name and defaultValue', () => {
  expect(
    render(
      <SelectContainer name={'some-name'} defaultValue={'some-value'}>
        hello
      </SelectContainer>
    ).baseElement
  ).toMatchSnapshot();
});
