import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface SelectOptionProps extends BaseProps<'option'> {}
/**
 * SelectOption component is used for display options value.
 * SelectOption component must be included inside Select component as children component
 */
export const SelectOption = React.forwardRef<
  HTMLOptionElement,
  SelectOptionProps
>(function SelectOption({ className, children, ...props }, ref) {
  return (
    <Base
      as="option"
      ref={ref}
      className={clsx(className, {
        'ds-select__option': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default SelectOption;
