import React from 'react';
import { render } from '@testing-library/react';

import SingleCharacterInput from '@digigov/react-core/SingleCharacterInput';

it('renders the SingleCharacterInput with no props', () => {
  expect(render(<SingleCharacterInput />).baseElement).toMatchSnapshot();
});
it('renders the SingleCharacterInput with name prop', () => {
  expect(
    render(<SingleCharacterInput name={'single-character-input'} />).baseElement
  ).toMatchSnapshot();
});

it('renders the SingleCharacterInput with name and error props', () => {
  expect(
    render(<SingleCharacterInput name={'single-character-input'} error />)
      .baseElement
  ).toMatchSnapshot();
});
it('renders the SingleCharacterInput with pattern prop', () => {
  expect(
    render(<SingleCharacterInput pattern="\d{1}" />).baseElement
  ).toMatchSnapshot();
});
it('renders the SingleCharacterInput with name, pattern, maxLength and error props', () => {
  expect(
    render(
      <SingleCharacterInput
        name={'single-character-input'}
        pattern="\d{1}"
        error
      />
    ).baseElement
  ).toMatchSnapshot();
});
