import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface StepNavAccordionProps extends BaseProps<'details'> {}
/**
 * StepNavAccordion the main wrapper component.
 *
 *
 */

export const StepNavAccordion = React.forwardRef<
  HTMLDetailsElement,
  StepNavAccordionProps
>(function StepNavAccordion({ className, children, ...props }, ref) {
  return (
    <Base
      as="details"
      ref={ref}
      className={clsx(className, {
        'ds-step-nav__accordion': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default StepNavAccordion;
