import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface StepNavAccordionContentProps extends BaseProps<'div'> {}
/**
 * StepNavAccordionContent should be inside the Accordion and it is the content of the section.
 * The content is only visible when the Accordion is 'open'.
 */
export const StepNavAccordionContent = React.forwardRef<
  HTMLDivElement,
  StepNavAccordionContentProps
>(function StepNavAccordionContent({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-nav-step__accordion__content': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default StepNavAccordionContent;
