import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface StepNavAccordionSummaryProps extends BaseProps<'summary'> {}
/**
 * StepNavAccordionSummary is used as a wrapper component for StepNavAccordionSummaryHeading.
 */
export const StepNavAccordionSummary = React.forwardRef<
  HTMLDivElement,
  StepNavAccordionSummaryProps
>(function StepNavAccordionSummary({ className, children, ...props }, ref) {
  return (
    <Base
      as="summary"
      ref={ref}
      className={clsx(className, {
        'ds-step-nav__accordion__summary': true,
      })}
      aria-level={2}
      {...props}
    >
      {children}
    </Base>
  );
});

export default StepNavAccordionSummary;
