import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface StepNavControlsProps extends BaseProps<'div'> {}
/**
 * StepNavControls contains the StepByStepButton.
 * Use StepNavControls to the top of the step-by-step implementation .
 */
export const StepNavControls = React.forwardRef<
  HTMLDivElement,
  StepNavControlsProps
>(function StepNavControls({ className, children, ...props }, ref) {
  return (
    <Base
      as="div"
      ref={ref}
      className={clsx(className, {
        'ds-step-nav__controls': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default StepNavControls;
