import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface StepNavListItemProps extends BaseProps<'li'> {}
/**
 * StepNavListItem must be inside StepByStepList compoenent.
 */
export const StepNavListItem = React.forwardRef<
  HTMLLIElement,
  StepNavListItemProps
>(function StepNavListItem({ className, children, ...props }, ref) {
  return (
    <Base
      as="li"
      ref={ref}
      className={clsx(className, {
        'ds-step-nav__step': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default StepNavListItem;
