import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface SummaryListItemValueProps extends BaseProps<'dd'> {}
/**
 * Details for the SummaryListItemValue.
 */
export const SummaryListItemValue = React.forwardRef<
  HTMLElement,
  SummaryListItemValueProps
>(function SummaryListItemValue({ className, children, ...props }, ref) {
  return (
    <Base
      as="dd"
      ref={ref}
      className={clsx(className, {
        'ds-summary-list__value': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default SummaryListItemValue;
