import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TableHeadProps extends BaseProps<'thead'> {}
/**
 * Use TableHead inside the Table component to provide the header row and/or column of the table.
 */
export const TableHead = React.forwardRef<
  HTMLTableSectionElement,
  TableHeadProps
>(function TableHead({ className, children, ...props }, ref) {
  return (
    <Base
      as="thead"
      ref={ref}
      className={clsx(className, {
        'ds-table__head': true,
      })}
      {...props}
    >
      {children}
    </Base>
  );
});

export default TableHead;
