import React from 'react';
import { render } from '@testing-library/react';

import Table from '@digigov/react-core/Table';
import TableHead from '@digigov/react-core/TableHead';
import TableHeadCell from '@digigov/react-core/TableHeadCell';
import TableRow from '@digigov/react-core/TableRow';

it('renders the Table with no props', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell>hello</TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Table with dataType="numeric" prop', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell dataType="numeric">hello</TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with width=one-quarter', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell width={'25%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with width=one-third', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell width={'33.3%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with width=one-half', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell width={'50%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with width=two-thirds', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell width={'66.6%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with width=three-quarters', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell width={'75%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with width=full', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell width={'full'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with dataType="numeric" width=one-quarter', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell dataType="numeric" width={'25%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with dataType="numeric" and width=one-third', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell dataType="numeric" width={'33.3%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with dataType="numeric" and dataType="numeric" and   width=one-half', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell dataType="numeric" width={'50%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with dataType="numeric" and width=two-thirds', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell dataType="numeric" width={'66.6%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell with dataType="numeric" and width=three-quarters', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell dataType="numeric" width={'75%'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the TableHeadCell dataType="numeric" and with width=full', () => {
  expect(
    render(
      <Table>
        <TableHead>
          <TableRow>
            <TableHeadCell dataType="numeric" width={'full'}></TableHeadCell>
          </TableRow>
        </TableHead>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});
