import React from 'react';
import { render } from '@testing-library/react';

import Table from '@digigov/react-core/Table';
import TableBody from '@digigov/react-core/TableBody';
import TableRow from '@digigov/react-core/TableRow';

it('renders the Table with no props', () => {
  expect(
    render(
      <Table>
        <TableBody>
          <TableRow></TableRow>
        </TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});

it('renders the Table with highlight prop', () => {
  expect(
    render(
      <Table>
        <TableBody>
          <TableRow highlight></TableRow>
        </TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});
it('renders the Table with color="secondary" prop', () => {
  expect(
    render(
      <Table>
        <TableBody>
          <TableRow color="secondary"></TableRow>
        </TableBody>
      </Table>
    ).baseElement
  ).toMatchSnapshot();
});
