import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TaskListItemProps extends BaseProps<'li'> {}
/**
 * TaskListItem must be inside TaskList compoenent.
 */
export const TaskListItem = React.forwardRef<HTMLLIElement, TaskListItemProps>(
  function TaskListItem({ className, children, ...props }, ref) {
    return (
      <Base
        as="li"
        ref={ref}
        className={clsx(className, {
          'ds-task-list__item': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default TaskListItem;
