import React from 'react';
import { render } from '@testing-library/react';

import TextInput from '@digigov/react-core/TextInput';

it('renders the TextInput with no props', () => {
  expect(render(<TextInput></TextInput>).baseElement).toMatchSnapshot();
});
it('renders the TextInput with dense prop', () => {
  expect(render(<TextInput dense></TextInput>).baseElement).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="2-char"', () => {
  expect(
    render(<TextInput maxWidth="2-char"></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="3-char"', () => {
  expect(
    render(<TextInput maxWidth="3-char"></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="4-char"', () => {
  expect(
    render(<TextInput maxWidth="4-char"></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="5-char"', () => {
  expect(
    render(<TextInput maxWidth="5-char"></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="10-char"', () => {
  expect(
    render(<TextInput maxWidth="10-char"></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="20-char"', () => {
  expect(
    render(<TextInput maxWidth="20-char"></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with width=one-quarter', () => {
  expect(
    render(<TextInput width={'25%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with width=one-third', () => {
  expect(
    render(<TextInput width={'33.3%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with width=one-half', () => {
  expect(
    render(<TextInput width={'50%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with width=two-thirds', () => {
  expect(
    render(<TextInput width={'66.6%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with width=three-quarters', () => {
  expect(
    render(<TextInput width={'75%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with width=full', () => {
  expect(
    render(<TextInput width={'full'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="2-char" and with width=one-quarter', () => {
  expect(
    render(<TextInput maxWidth="2-char" width={'25%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="3-char" and with width=one-quarter', () => {
  expect(
    render(<TextInput maxWidth="3-char" width={'25%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="4-char" and with width=one-quarter', () => {
  expect(
    render(<TextInput maxWidth="4-char" width={'25%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput  with with maxWidth="5-char" with width=one-quarter', () => {
  expect(
    render(<TextInput maxWidth="5-char" width={'25%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="20-char" and with width=one-quarter', () => {
  expect(
    render(<TextInput maxWidth="20-char" width={'25%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="2-char" and with width=one-third', () => {
  expect(
    render(<TextInput maxWidth="2-char" width={'33.3%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="3-char" and with width=one-third', () => {
  expect(
    render(<TextInput maxWidth="3-char" width={'33.3%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="4-char" and with width=one-third', () => {
  expect(
    render(<TextInput maxWidth="4-char" width={'33.3%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput  with with maxWidth="5-char" with width=one-third', () => {
  expect(
    render(<TextInput maxWidth="5-char" width={'33.3%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="20-char" and with width=one-third', () => {
  expect(
    render(<TextInput maxWidth="20-char" width={'33.3%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="2-char" and with width=one-half', () => {
  expect(
    render(<TextInput maxWidth="2-char" width={'50%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="3-char" and with width=one-half', () => {
  expect(
    render(<TextInput maxWidth="3-char" width={'50%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="4-char" and with width=one-half', () => {
  expect(
    render(<TextInput maxWidth="4-char" width={'50%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput  with with maxWidth="5-char" with width=one-half', () => {
  expect(
    render(<TextInput maxWidth="5-char" width={'50%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="20-char" and with width=one-half', () => {
  expect(
    render(<TextInput maxWidth="20-char" width={'50%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="2-char" and with width=two-thirds', () => {
  expect(
    render(<TextInput maxWidth="2-char" width={'66.6%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="3-char" and with width=two-thirds', () => {
  expect(
    render(<TextInput maxWidth="3-char" width={'66.6%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="4-char" and with width=two-thirds', () => {
  expect(
    render(<TextInput maxWidth="4-char" width={'66.6%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput  with with maxWidth="5-char" with width=two-thirds', () => {
  expect(
    render(<TextInput maxWidth="5-char" width={'66.6%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="20-char" and with width=two-thirds', () => {
  expect(
    render(<TextInput maxWidth="20-char" width={'66.6%'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="2-char" and with width=three-quarters', () => {
  expect(
    render(<TextInput maxWidth="2-char" width={'75%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="3-char" and with width=three-quarters', () => {
  expect(
    render(<TextInput maxWidth="3-char" width={'75%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="4-char" and with width=three-quarters', () => {
  expect(
    render(<TextInput maxWidth="4-char" width={'75%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput  with with maxWidth="5-char" with width=three-quarters', () => {
  expect(
    render(<TextInput maxWidth="5-char" width={'75%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="20-char" and with width=three-quarters', () => {
  expect(
    render(<TextInput maxWidth="20-char" width={'75%'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="2-char" and with width=full', () => {
  expect(
    render(<TextInput maxWidth="2-char" width={'full'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="3-char" and with width=full', () => {
  expect(
    render(<TextInput maxWidth="3-char" width={'full'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="4-char" and with width=full', () => {
  expect(
    render(<TextInput maxWidth="4-char" width={'full'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput  with with maxWidth="5-char" with width=full', () => {
  expect(
    render(<TextInput maxWidth="5-char" width={'full'}></TextInput>).baseElement
  ).toMatchSnapshot();
});

it('renders the TextInput with maxWidth="20-char" and with width=full', () => {
  expect(
    render(<TextInput maxWidth="20-char" width={'full'}></TextInput>)
      .baseElement
  ).toMatchSnapshot();
});
