import React from 'react';
import clsx from 'clsx';
import Base, { BaseProps } from '@digigov/react-core/Base';

export interface TimelineItemProps extends BaseProps<'li'> {}
/**
 * TimelineItem must be inside Timeline compoenent.
 */
export const TimelineItem = React.forwardRef<HTMLLIElement, TimelineItemProps>(
  function TimelineItem({ className, children, ...props }, ref) {
    return (
      <Base
        as="li"
        ref={ref}
        className={clsx(className, {
          'ds-timeline__item': true,
        })}
        {...props}
      >
        {children}
      </Base>
    );
  }
);

export default TimelineItem;
